Commits

sdolan committed 37117c8

Add zshrc configuration

  • Participants
  • Parent commits 89ed2f0

Comments (0)

Files changed (149)

File oh-my-zsh/.git/HEAD

+ref: refs/heads/master

File oh-my-zsh/.git/config

+[core]
+	repositoryformatversion = 0
+	filemode = true
+	bare = false
+	logallrefupdates = true
+[remote "origin"]
+	fetch = +refs/heads/*:refs/remotes/origin/*
+	url = git://github.com/robbyrussell/oh-my-zsh.git
+[branch "master"]
+	remote = origin
+	merge = refs/heads/master

File oh-my-zsh/.git/description

+Unnamed repository; edit this file 'description' to name the repository.

File oh-my-zsh/.git/hooks/applypatch-msg.sample

+#!/bin/sh
+#
+# An example hook script to check the commit log message taken by
+# applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.  The hook is
+# allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "applypatch-msg".
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/commit-msg" &&
+	exec "$GIT_DIR/hooks/commit-msg" ${1+"$@"}
+:

File oh-my-zsh/.git/hooks/commit-msg.sample

+#!/bin/sh
+#
+# An example hook script to check the commit log message.
+# Called by git-commit with one argument, the name of the file
+# that has the commit message.  The hook should exit with non-zero
+# status after issuing an appropriate message if it wants to stop the
+# commit.  The hook is allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "commit-msg".
+
+# Uncomment the below to add a Signed-off-by line to the message.
+# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
+# hook is more suited to it.
+#
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
+
+# This example catches duplicate Signed-off-by lines.
+
+test "" = "$(grep '^Signed-off-by: ' "$1" |
+	 sort | uniq -c | sed -e '/^[ 	]*1[ 	]/d')" || {
+	echo >&2 Duplicate Signed-off-by lines.
+	exit 1
+}

File oh-my-zsh/.git/hooks/post-commit.sample

+#!/bin/sh
+#
+# An example hook script that is called after a successful
+# commit is made.
+#
+# To enable this hook, rename this file to "post-commit".
+
+: Nothing

File oh-my-zsh/.git/hooks/post-receive.sample

+#!/bin/sh
+#
+# An example hook script for the "post-receive" event.
+#
+# The "post-receive" script is run after receive-pack has accepted a pack
+# and the repository has been updated.  It is passed arguments in through
+# stdin in the form
+#  <oldrev> <newrev> <refname>
+# For example:
+#  aa453216d1b3e49e7f6f98441fa56946ddcd6a20 68f7abf4e6f922807889f52bc043ecd31b79f814 refs/heads/master
+#
+# see contrib/hooks/ for a sample, or uncomment the next line and
+# rename the file to "post-receive".
+
+#. /usr/share/doc/git-core/contrib/hooks/post-receive-email

File oh-my-zsh/.git/hooks/post-update.sample

+#!/bin/sh
+#
+# An example hook script to prepare a packed repository for use over
+# dumb transports.
+#
+# To enable this hook, rename this file to "post-update".
+
+exec git-update-server-info

File oh-my-zsh/.git/hooks/pre-applypatch.sample

+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed
+# by applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-applypatch".
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/pre-commit" &&
+	exec "$GIT_DIR/hooks/pre-commit" ${1+"$@"}
+:

File oh-my-zsh/.git/hooks/pre-commit.sample

+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed.
+# Called by git-commit with no arguments.  The hook should
+# exit with non-zero status after issuing an appropriate message if
+# it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-commit".
+
+if git-rev-parse --verify HEAD >/dev/null 2>&1
+then
+	against=HEAD
+else
+	# Initial commit: diff against an empty tree object
+	against=4b825dc642cb6eb9a060e54bf8d69288fbee4904
+fi
+
+# If you want to allow non-ascii filenames set this variable to true.
+allownonascii=$(git config hooks.allownonascii)
+
+# Cross platform projects tend to avoid non-ascii filenames; prevent
+# them from being added to the repository. We exploit the fact that the
+# printable range starts at the space character and ends with tilde.
+if [ "$allownonascii" != "true" ] &&
+	# Note that the use of brackets around a tr range is ok here, (it's
+	# even required, for portability to Solaris 10's /usr/bin/tr), since
+	# the square bracket bytes happen to fall in the designated range.
+	test "$(git diff --cached --name-only --diff-filter=A -z $against |
+	  LC_ALL=C tr -d '[ -~]\0')"
+then
+	echo "Error: Attempt to add a non-ascii file name."
+	echo
+	echo "This can cause problems if you want to work"
+	echo "with people on other platforms."
+	echo
+	echo "To be portable it is advisable to rename the file ..."
+	echo
+	echo "If you know what you are doing you can disable this"
+	echo "check using:"
+	echo
+	echo "  git config hooks.allownonascii true"
+	echo
+	exit 1
+fi
+
+exec git diff-index --check --cached $against --

File oh-my-zsh/.git/hooks/pre-rebase.sample

+#!/bin/sh
+#
+# Copyright (c) 2006, 2008 Junio C Hamano
+#
+# The "pre-rebase" hook is run just before "git-rebase" starts doing
+# its job, and can prevent the command from running by exiting with
+# non-zero status.
+#
+# The hook is called with the following parameters:
+#
+# $1 -- the upstream the series was forked from.
+# $2 -- the branch being rebased (or empty when rebasing the current branch).
+#
+# This sample shows how to prevent topic branches that are already
+# merged to 'next' branch from getting rebased, because allowing it
+# would result in rebasing already published history.
+
+publish=next
+basebranch="$1"
+if test "$#" = 2
+then
+	topic="refs/heads/$2"
+else
+	topic=`git symbolic-ref HEAD` ||
+	exit 0 ;# we do not interrupt rebasing detached HEAD
+fi
+
+case "$topic" in
+refs/heads/??/*)
+	;;
+*)
+	exit 0 ;# we do not interrupt others.
+	;;
+esac
+
+# Now we are dealing with a topic branch being rebased
+# on top of master.  Is it OK to rebase it?
+
+# Does the topic really exist?
+git show-ref -q "$topic" || {
+	echo >&2 "No such branch $topic"
+	exit 1
+}
+
+# Is topic fully merged to master?
+not_in_master=`git-rev-list --pretty=oneline ^master "$topic"`
+if test -z "$not_in_master"
+then
+	echo >&2 "$topic is fully merged to master; better remove it."
+	exit 1 ;# we could allow it, but there is no point.
+fi
+
+# Is topic ever merged to next?  If so you should not be rebasing it.
+only_next_1=`git-rev-list ^master "^$topic" ${publish} | sort`
+only_next_2=`git-rev-list ^master           ${publish} | sort`
+if test "$only_next_1" = "$only_next_2"
+then
+	not_in_topic=`git-rev-list "^$topic" master`
+	if test -z "$not_in_topic"
+	then
+		echo >&2 "$topic is already up-to-date with master"
+		exit 1 ;# we could allow it, but there is no point.
+	else
+		exit 0
+	fi
+else
+	not_in_next=`git-rev-list --pretty=oneline ^${publish} "$topic"`
+	perl -e '
+		my $topic = $ARGV[0];
+		my $msg = "* $topic has commits already merged to public branch:\n";
+		my (%not_in_next) = map {
+			/^([0-9a-f]+) /;
+			($1 => 1);
+		} split(/\n/, $ARGV[1]);
+		for my $elem (map {
+				/^([0-9a-f]+) (.*)$/;
+				[$1 => $2];
+			} split(/\n/, $ARGV[2])) {
+			if (!exists $not_in_next{$elem->[0]}) {
+				if ($msg) {
+					print STDERR $msg;
+					undef $msg;
+				}
+				print STDERR " $elem->[1]\n";
+			}
+		}
+	' "$topic" "$not_in_next" "$not_in_master"
+	exit 1
+fi
+
+exit 0
+
+################################################################
+
+This sample hook safeguards topic branches that have been
+published from being rewound.
+
+The workflow assumed here is:
+
+ * Once a topic branch forks from "master", "master" is never
+   merged into it again (either directly or indirectly).
+
+ * Once a topic branch is fully cooked and merged into "master",
+   it is deleted.  If you need to build on top of it to correct
+   earlier mistakes, a new topic branch is created by forking at
+   the tip of the "master".  This is not strictly necessary, but
+   it makes it easier to keep your history simple.
+
+ * Whenever you need to test or publish your changes to topic
+   branches, merge them into "next" branch.
+
+The script, being an example, hardcodes the publish branch name
+to be "next", but it is trivial to make it configurable via
+$GIT_DIR/config mechanism.
+
+With this workflow, you would want to know:
+
+(1) ... if a topic branch has ever been merged to "next".  Young
+    topic branches can have stupid mistakes you would rather
+    clean up before publishing, and things that have not been
+    merged into other branches can be easily rebased without
+    affecting other people.  But once it is published, you would
+    not want to rewind it.
+
+(2) ... if a topic branch has been fully merged to "master".
+    Then you can delete it.  More importantly, you should not
+    build on top of it -- other people may already want to
+    change things related to the topic as patches against your
+    "master", so if you need further changes, it is better to
+    fork the topic (perhaps with the same name) afresh from the
+    tip of "master".
+
+Let's look at this example:
+
+		   o---o---o---o---o---o---o---o---o---o "next"
+		  /       /           /           /
+		 /   a---a---b A     /           /
+		/   /               /           /
+	       /   /   c---c---c---c B         /
+	      /   /   /             \         /
+	     /   /   /   b---b C     \       /
+	    /   /   /   /             \     /
+    ---o---o---o---o---o---o---o---o---o---o---o "master"
+
+
+A, B and C are topic branches.
+
+ * A has one fix since it was merged up to "next".
+
+ * B has finished.  It has been fully merged up to "master" and "next",
+   and is ready to be deleted.
+
+ * C has not merged to "next" at all.
+
+We would want to allow C to be rebased, refuse A, and encourage
+B to be deleted.
+
+To compute (1):
+
+	git-rev-list ^master ^topic next
+	git-rev-list ^master        next
+
+	if these match, topic has not merged in next at all.
+
+To compute (2):
+
+	git-rev-list master..topic
+
+	if this is empty, it is fully merged to "master".

File oh-my-zsh/.git/hooks/prepare-commit-msg.sample

+#!/bin/sh
+#
+# An example hook script to prepare the commit log message.
+# Called by git-commit with the name of the file that has the
+# commit message, followed by the description of the commit
+# message's source.  The hook's purpose is to edit the commit
+# message file.  If the hook fails with a non-zero status,
+# the commit is aborted.
+#
+# To enable this hook, rename this file to "prepare-commit-msg".
+
+# This hook includes three examples.  The first comments out the
+# "Conflicts:" part of a merge commit.
+#
+# The second includes the output of "git diff --name-status -r"
+# into the message, just before the "git status" output.  It is
+# commented because it doesn't cope with --amend or with squashed
+# commits.
+#
+# The third example adds a Signed-off-by line to the message, that can
+# still be edited.  This is rarely a good idea.
+
+case "$2,$3" in
+  merge,)
+    perl -i.bak -ne 's/^/# /, s/^# #/#/ if /^Conflicts/ .. /#/; print' "$1" ;;
+
+# ,|template,)
+#   perl -i.bak -pe '
+#      print "\n" . `git diff --cached --name-status -r`
+#	 if /^#/ && $first++ == 0' "$1" ;;
+
+  *) ;;
+esac
+
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"

File oh-my-zsh/.git/hooks/update.sample

+#!/bin/sh
+#
+# An example hook script to blocks unannotated tags from entering.
+# Called by git-receive-pack with arguments: refname sha1-old sha1-new
+#
+# To enable this hook, rename this file to "update".
+#
+# Config
+# ------
+# hooks.allowunannotated
+#   This boolean sets whether unannotated tags will be allowed into the
+#   repository.  By default they won't be.
+# hooks.allowdeletetag
+#   This boolean sets whether deleting tags will be allowed in the
+#   repository.  By default they won't be.
+# hooks.allowmodifytag
+#   This boolean sets whether a tag may be modified after creation. By default
+#   it won't be.
+# hooks.allowdeletebranch
+#   This boolean sets whether deleting branches will be allowed in the
+#   repository.  By default they won't be.
+# hooks.denycreatebranch
+#   This boolean sets whether remotely creating branches will be denied
+#   in the repository.  By default this is allowed.
+#
+
+# --- Command line
+refname="$1"
+oldrev="$2"
+newrev="$3"
+
+# --- Safety check
+if [ -z "$GIT_DIR" ]; then
+	echo "Don't run this script from the command line." >&2
+	echo " (if you want, you could supply GIT_DIR then run" >&2
+	echo "  $0 <ref> <oldrev> <newrev>)" >&2
+	exit 1
+fi
+
+if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
+	echo "Usage: $0 <ref> <oldrev> <newrev>" >&2
+	exit 1
+fi
+
+# --- Config
+allowunannotated=$(git config --bool hooks.allowunannotated)
+allowdeletebranch=$(git config --bool hooks.allowdeletebranch)
+denycreatebranch=$(git config --bool hooks.denycreatebranch)
+allowdeletetag=$(git config --bool hooks.allowdeletetag)
+allowmodifytag=$(git config --bool hooks.allowmodifytag)
+
+# check for no description
+projectdesc=$(sed -e '1q' "$GIT_DIR/description")
+case "$projectdesc" in
+"Unnamed repository"* | "")
+	echo "*** Project description file hasn't been set" >&2
+	exit 1
+	;;
+esac
+
+# --- Check types
+# if $newrev is 0000...0000, it's a commit to delete a ref.
+zero="0000000000000000000000000000000000000000"
+if [ "$newrev" = "$zero" ]; then
+	newrev_type=delete
+else
+	newrev_type=$(git-cat-file -t $newrev)
+fi
+
+case "$refname","$newrev_type" in
+	refs/tags/*,commit)
+		# un-annotated tag
+		short_refname=${refname##refs/tags/}
+		if [ "$allowunannotated" != "true" ]; then
+			echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
+			echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,delete)
+		# delete tag
+		if [ "$allowdeletetag" != "true" ]; then
+			echo "*** Deleting a tag is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,tag)
+		# annotated tag
+		if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
+		then
+			echo "*** Tag '$refname' already exists." >&2
+			echo "*** Modifying a tag is not allowed in this repository." >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,commit)
+		# branch
+		if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
+			echo "*** Creating a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,delete)
+		# delete branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/remotes/*,commit)
+		# tracking branch
+		;;
+	refs/remotes/*,delete)
+		# delete tracking branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a tracking branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	*)
+		# Anything else (is there anything else?)
+		echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
+		exit 1
+		;;
+esac
+
+# --- Finished
+exit 0

File oh-my-zsh/.git/index

Binary file added.

File oh-my-zsh/.git/info/exclude

+# git-ls-files --others --exclude-from=.git/info/exclude
+# Lines that start with '#' are comments.
+# For a project mostly in C, the following would be a good set of
+# exclude patterns (uncomment them if you want to use them):
+# *.[oa]
+# *~

File oh-my-zsh/.git/logs/HEAD

+0000000000000000000000000000000000000000 2e9492969b0ea90932ad3f4298330b75ef8cf2ce sdolan <sdolan@sdolan-laptop.(none)> 1301954601 -0700	clone: from git://github.com/robbyrussell/oh-my-zsh.git

File oh-my-zsh/.git/logs/refs/heads/master

+0000000000000000000000000000000000000000 2e9492969b0ea90932ad3f4298330b75ef8cf2ce sdolan <sdolan@sdolan-laptop.(none)> 1301954601 -0700	clone: from git://github.com/robbyrussell/oh-my-zsh.git

File oh-my-zsh/.git/objects/pack/pack-9777c15dab844a701bbe1aeb1ddf8433456ca119.idx

Binary file added.

File oh-my-zsh/.git/objects/pack/pack-9777c15dab844a701bbe1aeb1ddf8433456ca119.pack

Binary file added.

File oh-my-zsh/.git/packed-refs

+# pack-refs with: peeled 
+59bfd87e08c127e6aacf473e99d2ebbc20e633ff refs/remotes/origin/plugins
+2e9492969b0ea90932ad3f4298330b75ef8cf2ce refs/remotes/origin/master

File oh-my-zsh/.git/refs/heads/master

+2e9492969b0ea90932ad3f4298330b75ef8cf2ce

File oh-my-zsh/.git/refs/remotes/origin/HEAD

+ref: refs/remotes/origin/master

File oh-my-zsh/.gitignore

+locals.zsh
+log/.zsh_history
+projects.zsh
+custom/*
+!custom/example.zsh

File oh-my-zsh/README.textile

+A handful of functions, auto-complete helpers, and stuff that makes you shout...
+
+bq. "OH MY ZSHELL!"
+
+h2. Setup
+
+@oh-my-zsh@ should work with any recent release of "zsh":http://www.zsh.org/, the minimum recommended version is 4.3.9.
+
+h3. The automatic installer... (do you trust me?)
+
+@wget --no-check-certificate https://github.com/robbyrussell/oh-my-zsh/raw/master/tools/install.sh -O - | sh@
+
+h3. The manual way
+
+
+1. Clone the repository
+
+  @git clone git://github.com/robbyrussell/oh-my-zsh.git ~/.oh-my-zsh@
+
+2. Create a new zsh config by copying the zsh template we've provided.
+
+  *NOTE*: If you already have a ~/.zshrc file, you should back it up. @cp ~/.zshrc ~/.zshrc.orig@ in case you want to go back to your original settings.
+
+  @cp ~/.oh-my-zsh/templates/zshrc.zsh-template ~/.zshrc@
+
+3. Set zsh as your default shell:
+
+  @chsh -s /bin/zsh@
+
+4. Start / restart zsh (open a new terminal is easy enough...)
+
+h3. Problems?
+
+You _might_ need to modify your PATH in ~/.zshrc if you're not able to find some commands after switching to _Oh My Zsh_.
+
+h2. Usage
+
+* enable the plugins you want in your @~/.zshrc@ (take a look at @plugins/@ to see what's possible)
+** example: @plugins=(git osx ruby)@
+* Theme support: Change the @ZSH_THEME@ environment variable in @~/.zshrc@.
+** Take a look at the "current themes":https://wiki.github.com/robbyrussell/oh-my-zsh/themes that come bundled with _Oh My Zsh_.
+* much much more...  take a look at @lib/@ what _Oh My Zsh_ offers...
+
+h2. Useful
+
+the "refcard":http://www.bash2zsh.com/zsh_refcard/refcard.pdf is pretty tasty for tips.
+
+h3. Customization
+
+If you want to override any of the default behavior, just add a new file (ending in @.zsh@) into the @custom/@ directory.
+If you have many functions which go good together you can put them as a *.plugin.zsh file in the @plugin/@ directory and then enable this plugin.
+
+h3. Uninstalling
+
+If you want to uninstall it, just run @uninstall_oh_my_zsh@ from the command line and it'll remove itself and revert you to bash (or your previous zsh config).
+
+h2. Thanks
+
+* Rick Olson (technoweenie) might remember some of the configuration, which I took from a pastie a few years ago.
+* Marcel (noradio) provided Rick the original zsh configuration.
+* Nicholas (ulysses) for the "rake autocompletion code":http://weblog.rubyonrails.org/2006/3/9/fast-rake-task-completion-for-zsh.
+
+h2. Help out!
+
+I'm far from being a zsh-expert and suspect there are many ways to improve. If you have ideas on how to make the configuration easier to maintain (and faster), don't hesitate to fork and send pull requests!
+
+h3. Send us your theme!
+
+I'm hoping to collect a bunch of themes for our command prompts. You can see existing ones in the @themes/@ directory.

File oh-my-zsh/cache/DEBS_installed

+_deb_packages_cache_installed=( '0ad' '0ad-data' 'ack-grep' 'acl' 'acpi' 'acpi-support' 'acpid' 'adduser' 'adium-theme-ubuntu' 'adobe-flashplugin' 'adobeair' 'aisleriot' 'alacarte' 'alsa-base' 'alsa-utils' 'amarok' 'amarok-common' 'amarok-utils' 'anacron' 'ant-gcj' 'ant-optional-gcj' 'ant1.8' 'ant1.8-optional' 'apache2-utils' 'apache2.2-bin' 'apmd' 'app-install-data' 'app-install-data-partner' 'apparmor' 'apparmor-utils' 'apport' 'apport-gtk' 'apport-symptoms' 'apt' 'apt-listchanges' 'apt-transport-https' 'apt-utils' 'apt-xapian-index' 'aptdaemon' 'apticron' 'aptitude' 'apturl' 'apturl-common' 'aspell' 'aspell-en' 'at' 'at-spi' 'avahi-autoipd' 'avahi-daemon' 'avahi-utils' 'balsamiqmockupsfordesktop.ede15cf69e11f7f7d45b5430c7d37cc6c3545e3c.1' 'base-files' 'base-passwd' 'bash' 'bash-completion' 'bc' 'bcmwl-modaliases' 'bf' 'bind9-host' 'binfmt-support' 'binutils' 'bluetooth' 'bluez' 'bluez-alsa' 'bluez-cups' 'bluez-gstreamer' 'bluez-utils' 'bogofilter' 'bogofilter-bdb' 'bogofilter-common' 'branding-ubuntu' 'brasero' 'brasero-common' 'brltty' 'brltty-x11' 'bsd-mailx' 'bsdmainutils' 'bsdutils' 'build-essential' 'busybox-initramfs' 'busybox-static' 'byobu' 'bzip2' 'ca-certificates' 'ca-certificates-java' 'cabextract' 'capplets-data' 'cdparanoia' 'cdrdao' 'checkbox' 'checkbox-gtk' 'cheese' 'cheese-common' 'clementine' 'cli-common' 'colordiff' 'com.pandora.desktop.fb9956fd96e03239939108614098ad95535ee674.1' 'comerr-dev' 'command-not-found' 'command-not-found-data' 'compiz' 'compiz-core' 'compiz-fusion-plugins-extra' 'compiz-fusion-plugins-main' 'compiz-gnome' 'compiz-plugins' 'compizconfig-backend-gconf' 'computer-janitor' 'computer-janitor-gtk' 'console-setup' 'console-terminus' 'consolekit' 'coreutils' 'couchdb-bin' 'cpio' 'cpp' 'cpp-4.3' 'cpp-4.4' 'cpu-checker' 'cron' 'css-mode' 'cups' 'cups-bsd' 'cups-client' 'cups-common' 'cups-driver-gutenprint' 'cups-ppdc' 'cupsddk' 'curl' 'cvs' 'daemon' 'darcs' 'dash' 'dbus' 'dbus-x11' 'dc' 'dcraw' 'debconf' 'debconf-i18n' 'debhelper' 'debianutils' 'default-jre' 'default-jre-headless' 'defoma' 'desktop-file-utils' 'desktopcouch' 'dhcp3-client' 'dhcp3-common' 'dia-common' 'dia-gnome' 'dia-libs' 'dict' 'dictionaries-common' 'diff' 'diffutils' 'dmidecode' 'dmsetup' 'dmz-cursor-theme' 'dnsmasq-base' 'dnsutils' 'doc-base' 'docbook-xml' 'dosfstools' 'dpkg' 'dpkg-dev' 'dvd+rw-tools' 'dvdauthor' 'e2fslibs' 'e2fsprogs' 'eclipse-platform-data' 'eclipse-rcp' 'ed' 'eject' 'ekiga' 'emacs' 'emacs-goodies-el' 'emacs22-bin-common' 'emacs22-common' 'emacs22-gtk' 'emacs23' 'emacs23-bin-common' 'emacs23-common' 'emacsen-common' 'empathy' 'empathy-common' 'enscript' 'eog' 'erlang-base' 'erlang-crypto' 'erlang-inets' 'erlang-mnesia' 'erlang-os-mon' 'erlang-public-key' 'erlang-runtime-tools' 'erlang-snmp' 'erlang-ssl' 'erlang-syntax-tools' 'erlang-xmerl' 'esound-clients' 'esound-common' 'espeak' 'espeak-data' 'ethtool' 'evince' 'evolution' 'evolution-common' 'evolution-couchdb' 'evolution-data-server' 'evolution-data-server-common' 'evolution-exchange' 'evolution-indicator' 'evolution-plugins' 'evolution-webcal' 'example-content' 'exiv2' 'f-spot' 'fakeroot' 'fancontrol' 'fastjar' 'festival' 'festlex-cmu' 'festlex-poslex' 'festvox-kallpc16k' 'ffmpeg' 'fglrx-modaliases' 'file' 'file-roller' 'filezilla' 'filezilla-common' 'findutils' 'finger' 'firefox' 'firefox-3.0' 'firefox-3.0-gnome-support' 'firefox-3.5' 'firefox-3.5-branding' 'firefox-3.5-gnome-support' 'firefox-branding' 'firefox-gnome-support' 'fluxgui' 'fontconfig' 'fontconfig-config' 'foo2zjs' 'foomatic-db' 'foomatic-db-engine' 'foomatic-filters' 'freedoom' 'freeglut3' 'freepats' 'friendly-recovery' 'ftp' 'fuse-utils' 'g++' 'g++-4.4' 'gambas2-gb-form' 'gambas2-gb-gtk' 'gambas2-gb-gui' 'gambas2-gb-qt' 'gambas2-gb-qt-ext' 'gambas2-gb-sdl' 'gambas2-gb-sdl-sound' 'gambas2-gb-settings' 'gambas2-runtime' 'gamin' 'gawk' 'gbrainy' 'gcalcli' 'gcalctool' 'gcc' 'gcc-4.3' 'gcc-4.3-base' 'gcc-4.4' 'gcc-4.4-base' 'gcj-4.4-base' 'gcj-4.4-jre-lib' 'gconf-defaults-service' 'gconf-editor' 'gconf2' 'gconf2-common' 'gdb' 'gdebi' 'gdebi-core' 'gdebi-kde' 'gdm' 'gdm-guest-session' 'gedit' 'gedit-common' 'genisoimage' 'geoip-database' 'gettext' 'gettext-base' 'ggzcore-bin' 'ghc6' 'ghc6-doc' 'ghostscript' 'ghostscript-cups' 'ghostscript-x' 'gimp' 'gimp-data' 'gimp-help-common' 'gimp-help-en' 'gimpshop' 'gir1.0-atk-1.0' 'gir1.0-clutter-1.0' 'gir1.0-clutter-gtk-0.10' 'gir1.0-freedesktop' 'gir1.0-gconf-2.0' 'gir1.0-glib-2.0' 'gir1.0-gstreamer-0.10' 'gir1.0-gtk-2.0' 'gir1.0-pango-1.0' 'git-core' 'gksu' 'glchess' 'glines' 'global' 'gnect' 'gnibbles' 'gnobots2' 'gnome-about' 'gnome-accessibility-themes' 'gnome-alsamixer' 'gnome-applets' 'gnome-applets-data' 'gnome-bluetooth' 'gnome-codec-install' 'gnome-control-center' 'gnome-desktop-data' 'gnome-disk-utility' 'gnome-do' 'gnome-do-docklets' 'gnome-do-plugins' 'gnome-doc-utils' 'gnome-games' 'gnome-games-common' 'gnome-icon-theme' 'gnome-js-common' 'gnome-keyring' 'gnome-mag' 'gnome-mahjongg' 'gnome-media' 'gnome-media-common' 'gnome-menus' 'gnome-mime-data' 'gnome-nettool' 'gnome-orca' 'gnome-panel' 'gnome-panel-data' 'gnome-pilot' 'gnome-pilot-conduits' 'gnome-power-manager' 'gnome-screensaver' 'gnome-session' 'gnome-session-bin' 'gnome-session-canberra' 'gnome-settings-daemon' 'gnome-sudoku' 'gnome-system-monitor' 'gnome-system-tools' 'gnome-terminal' 'gnome-terminal-data' 'gnome-themes-selected' 'gnome-themes-ubuntu' 'gnome-user-guide' 'gnome-user-guide-en' 'gnome-user-share' 'gnome-utils' 'gnomebaker' 'gnomine' 'gnotravex' 'gnotski' 'gnupg' 'gnupg-curl' 'google-chrome-stable' 'gpgv' 'graphviz' 'grdesktop' 'grep' 'groff-base' 'grsync' 'grub' 'grub-common' 'gsfonts' 'gsfonts-x11' 'gstreamer-tools' 'gstreamer0.10-alsa' 'gstreamer0.10-ffmpeg' 'gstreamer0.10-fluendo-mp3' 'gstreamer0.10-gnomevfs' 'gstreamer0.10-gnonlin' 'gstreamer0.10-nice' 'gstreamer0.10-plugins-bad' 'gstreamer0.10-plugins-base' 'gstreamer0.10-plugins-base-apps' 'gstreamer0.10-plugins-good' 'gstreamer0.10-plugins-ugly' 'gstreamer0.10-pulseaudio' 'gstreamer0.10-tools' 'gstreamer0.10-x' 'gtali' 'gtk2-engines' 'gtk2-engines-murrine' 'gtk2-engines-pixbuf' 'gtkpod' 'gtkpod-data' 'guake' 'gucharmap' 'guile-1.8-libs' 'gvfs' 'gvfs-backends' 'gvfs-bin' 'gvfs-fuse' 'gwibber' 'gwibber-service' 'gxmessage' 'gzip' 'hal' 'hal-cups-utils' 'hal-info' 'hdparm' 'hicolor-icon-theme' 'hostname' 'hpijs' 'hplip' 'hplip-data' 'html-helper-mode' 'html2text' 'htop' 'hudson' 'human-icon-theme' 'human-theme' 'humanity-icon-theme' 'hunspell-en-ca' 'hunspell-en-us' 'iagno' 'ibus' 'ibus-gtk' 'ibus-m17n' 'ibus-table' 'icedax' 'icedtea-6-jre-cacao' 'icoutils' 'id3v2' 'iftop' 'ifupdown' 'im-switch' 'imagemagick' 'imdb-tools' 'indicator-applet' 'indicator-applet-session' 'indicator-application' 'indicator-me' 'indicator-messages' 'indicator-session' 'indicator-sound' 'info' 'initramfs-tools' 'initramfs-tools-bin' 'initscripts' 'inotify-tools' 'inputattach' 'insserv' 'install-info' 'install-package' 'intel-gpu-tools' 'intltool-debian' 'iproute' 'iptables' 'iputils-arping' 'iputils-ping' 'iputils-tracepath' 'ipython' 'irb' 'irb1.8' 'irqbalance' 'iso-codes' 'itop' 'jarwrapper' 'java-common' 'javascript-common' 'jockey-common' 'jockey-gtk' 'junit' 'junit4' 'k9copy' 'kbd' 'kchmviewer' 'kdebase-runtime' 'kdebase-runtime-data' 'kdelibs-bin' 'kdelibs5' 'kdelibs5-data' 'kdemultimedia-kio-plugins' 'kdepimlibs-data' 'kdepimlibs5' 'kdesudo' 'kdiff3' 'kdiff3-doc' 'keepassx' 'kerneloops-daemon' 'keychain' 'klibc-utils' 'klipper' 'kpackagekit' 'krb5-multidev' 'kubuntu-debug-installer' 'lacheck' 'language-pack-en' 'language-pack-en-base' 'language-pack-gnome-en' 'language-pack-gnome-en-base' 'language-selector' 'language-selector-common' 'language-support-en' 'language-support-translations-en' 'language-support-writing-en' 'laptop-detect' 'latex-beamer' 'latex-xcolor' 'launchpad-integration' 'less' 'lftp' 'liba52-0.7.4' 'libaa1' 'libaccess-bridge-java' 'libaccess-bridge-java-jni' 'libacl1' 'libakonadiprivate1' 'libanthy0' 'libao2' 'libapm1' 'libapparmor-perl' 'libapparmor1' 'libappindicator0' 'libapr1' 'libaprutil1' 'libaprutil1-dbd-sqlite3' 'libaprutil1-ldap' 'libarchive1' 'libart-2.0-2' 'libart2.0-cil' 'libasm3-java' 'libasound2' 'libasound2-plugins' 'libaspell15' 'libass4' 'libatasmart4' 'libatk1-ruby1.8' 'libatk1.0-0' 'libatk1.0-data' 'libatm1' 'libatspi1.0-0' 'libattica0' 'libattr1' 'libaudio2' 'libaudiofile0' 'libavahi-client3' 'libavahi-common-data' 'libavahi-common3' 'libavahi-compat-libdnssd1' 'libavahi-core6' 'libavahi-glib1' 'libavahi-gobject0' 'libavahi-ui0' 'libavc1394-0' 'libavcodec52' 'libavdevice52' 'libavfilter0' 'libavformat52' 'libavutil49' 'libax25' 'libbabl-0.0-0' 'libbeagle1' 'libbind9-60' 'libblas3gf' 'libblkid1' 'libbluetooth3' 'libbonobo2-0' 'libbonobo2-common' 'libbonoboui2-0' 'libbonoboui2-common' 'libboost-filesystem1.40.0' 'libboost-program-options1.40.0' 'libboost-regex1.40.0' 'libboost-signals1.40.0' 'libboost-system1.40.0' 'libbrasero-media0' 'libbreakpoint-ruby1.8' 'libbrlapi0.5' 'libbsd-dev' 'libbsd0' 'libbuilder-ruby' 'libbuilder-ruby1.8' 'libbz2-1.0' 'libc-ares2' 'libc-bin' 'libc-dev-bin' 'libc6' 'libc6-dev' 'libc6-i686' 'libcaca0' 'libcairo-perl' 'libcairo-ruby1.8' 'libcairo2' 'libcairomm-1.0-1' 'libcamel1.2-14' 'libcanberra-gtk-module' 'libcanberra-gtk0' 'libcanberra-pulse' 'libcanberra0' 'libcap-ng0' 'libcap2' 'libcap2-bin' 'libcdaudio1' 'libcddb2' 'libcdio-cdda0' 'libcdio-paranoia0' 'libcdio10' 'libcdparanoia0' 'libcelt0-0' 'libcheese-gtk18' 'libchm1' 'libck-connector0' 'libclass-accessor-perl' 'libclucene0ldbl' 'libclutter-1.0-0' 'libclutter-gtk-0.10-0' 'libcmdparse2-ruby1.8' 'libcolamd2.7.1' 'libcomerr2' 'libcommons-beanutils-java' 'libcommons-codec-java' 'libcommons-collections3-java' 'libcommons-compress-java' 'libcommons-digester-java' 'libcommons-el-java' 'libcommons-httpclient-java' 'libcommons-logging-java' 'libcompizconfig0' 'libcompress-raw-bzip2-perl' 'libcompress-raw-zlib-perl' 'libcompress-zlib-perl' 'libcouchdb-glib-1.0-2' 'libcroco3' 'libcrypt-openssl-random-perl' 'libcrypt-passwdmd5-perl' 'libcryptui0' 'libcups2' 'libcupscgi1' 'libcupsdriver1' 'libcupsimage2' 'libcupsmime1' 'libcupsppdc1' 'libcurl3' 'libcurl3-gnutls' 'libcurl4-gnutls-dev' 'libcurses-perl' 'libcurses-ui-perl' 'libcwidget3' 'libdaemon0' 'libdaemons-ruby1.8' 'libdatrie1' 'libdb-je-java' 'libdb4.6' 'libdb4.7' 'libdb4.7-java' 'libdb4.7-java-gcj' 'libdb4.8' 'libdbd-mysql-perl' 'libdbi-perl' 'libdbus-1-3' 'libdbus-glib-1-2' 'libdbusmenu-glib1' 'libdbusmenu-gtk1' 'libdbusmenu-qt2' 'libdc1394-22' 'libdca0' 'libdecoration0' 'libdesktopcouch-glib-1.0-2' 'libdevil1c2' 'libdevkit-power-gobject1' 'libdevmapper1.02.1' 'libdigest-sha1-perl' 'libdirac-encoder0' 'libdirectfb-1.2-0' 'libdjvulibre-text' 'libdjvulibre21' 'libdmx1' 'libdns64' 'libdotconf1.0' 'libdrm-intel1' 'libdrm-nouveau1' 'libdrm-radeon1' 'libdrm2' 'libdv4' 'libdvbpsi5' 'libdvdnav4' 'libdvdread4' 'libebackend1.2-0' 'libebml0' 'libebook1.2-9' 'libecal1.2-7' 'libecj-java' 'libedata-book1.2-2' 'libedata-cal1.2-6' 'libedataserver1.2-11' 'libedataserverui1.2-8' 'libedit2' 'libeggdbus-1-0' 'libegroupwise1.2-13' 'libelf1' 'libenca0' 'libenchant1c2a' 'libenet0debian1' 'libept0' 'libequinox-osgi-java' 'liberb-ruby' 'liberror-perl' 'libesd-alsa0' 'libesd0' 'libespeak1' 'libestools1.2' 'libevdocument2' 'libevent-1.4-2' 'libevview2' 'libexchange-storage1.2-3' 'libexempi3' 'libexif12' 'libexiv2-6' 'libexpat1' 'libexpat1-dev' 'libfaad2' 'libffi-dev' 'libffi5' 'libfftw3-3' 'libfile-copy-recursive-perl' 'libfile-next-perl' 'libflac8' 'libflickrnet2.2-cil' 'libflite1' 'libfont-afm-perl' 'libfontconfig1' 'libfontconfig1-dev' 'libfontenc1' 'libfreetype6' 'libfreetype6-dev' 'libfreezethaw-perl' 'libfribidi0' 'libfs6' 'libftgl2' 'libfuse2' 'libgadu3' 'libgail-common' 'libgail-gnome-module' 'libgail18' 'libgamin0' 'libgc1c2' 'libgcc1' 'libgcj-bc' 'libgcj-common' 'libgcj10' 'libgconf2-4' 'libgconf2.0-cil' 'libgcr0' 'libgcrypt11' 'libgcrypt11-dev' 'libgd2-xpm' 'libgdata-common' 'libgdata-dev' 'libgdata-google1.2-1' 'libgdata1.2-1' 'libgdata1.4-cil' 'libgdata6' 'libgdbm3' 'libgdict-1.0-6' 'libgdiplus' 'libgdk-pixbuf2-ruby1.8' 'libgdome2-0' 'libgdu-gtk0' 'libgdu0' 'libgegl-0.0-0' 'libgeoip1' 'libgfortran3' 'libggz2' 'libggzcore9' 'libggzmod4' 'libghc6-mtl-dev' 'libghc6-mtl-doc' 'libghc6-x11-dev' 'libghc6-x11-doc' 'libghc6-x11-xft-dev' 'libghc6-x11-xft-doc' 'libghc6-xmonad-contrib-dev' 'libghc6-xmonad-contrib-doc' 'libghc6-xmonad-dev' 'libghc6-xmonad-doc' 'libgif4' 'libgimp2.0' 'libgirepository1.0-0' 'libgksu2-0' 'libgl1-mesa-dri' 'libgl1-mesa-glx' 'libglade2-0' 'libglade2.0-cil' 'libglew1.5' 'libglib-perl' 'libglib2-ruby1.8' 'libglib2.0-0' 'libglib2.0-cil' 'libglib2.0-data' 'libglib2.0-dev' 'libglibmm-2.4-1c2a' 'libglitz-glx1' 'libglitz1' 'libglu1-mesa' 'libgme0' 'libgmime-2.0-2a' 'libgmime-2.4-2' 'libgmime2.2a-cil' 'libgmime2.4-cil' 'libgmp3-dev' 'libgmp3c2' 'libgmpxx4ldbl' 'libgnet2.0-0' 'libgnome-bluetooth7' 'libgnome-desktop-2-17' 'libgnome-keyring0' 'libgnome-keyring1.0-cil' 'libgnome-mag2' 'libgnome-media0' 'libgnome-menu2' 'libgnome-pilot2' 'libgnome-speech7' 'libgnome-vfs2.0-cil' 'libgnome-window-settings1' 'libgnome2-0' 'libgnome2-canvas-perl' 'libgnome2-common' 'libgnome2-perl' 'libgnome2-vfs-perl' 'libgnome2.24-cil' 'libgnomecanvas2-0' 'libgnomecanvas2-common' 'libgnomecups1.0-1' 'libgnomedesktop2.20-cil' 'libgnomekbd-common' 'libgnomekbd4' 'libgnomepanel2.24-cil' 'libgnomeprint2.2-0' 'libgnomeprint2.2-data' 'libgnomeprintui2.2-0' 'libgnomeprintui2.2-common' 'libgnomeui-0' 'libgnomeui-common' 'libgnomevfs2-0' 'libgnomevfs2-bin' 'libgnomevfs2-common' 'libgnomevfs2-extra' 'libgnutls-dev' 'libgnutls26' 'libgomp1' 'libgoocanvas-common' 'libgoocanvas3' 'libgp11-0' 'libgpg-error-dev' 'libgpg-error0' 'libgpgme11' 'libgphoto2-2' 'libgphoto2-port0' 'libgpm2' 'libgpod-common' 'libgpod4' 'libgraphite3' 'libgraphviz4' 'libgs8' 'libgsf-1-114' 'libgsf-1-common' 'libgsl0ldbl' 'libgsm1' 'libgssapi-krb5-2' 'libgssdp-1.0-2' 'libgssrpc4' 'libgstfarsight0.10-0' 'libgstreamer-plugins-base0.10-0' 'libgstreamer0.10-0' 'libgtk-vnc-1.0-0' 'libgtk2-perl' 'libgtk2-ruby' 'libgtk2-ruby1.8' 'libgtk2.0-0' 'libgtk2.0-bin' 'libgtk2.0-cil' 'libgtk2.0-common' 'libgtkglext1' 'libgtkhtml-editor-common' 'libgtkhtml-editor0' 'libgtkhtml2-0' 'libgtkhtml3.14-19' 'libgtkmm-2.4-1c2a' 'libgtksourceview-common' 'libgtksourceview1.0-0' 'libgtksourceview2.0-0' 'libgtksourceview2.0-common' 'libgtkspell0' 'libgtop2-7' 'libgtop2-common' 'libgucharmap7' 'libgudev-1.0-0' 'libgupnp-1.0-3' 'libgupnp-igd-1.0-2' 'libgutenprint2' 'libgweather-common' 'libgweather1' 'libhal-storage1' 'libhal1' 'libhamcrest-java' 'libhesiod0' 'libhpmud0' 'libhtml-format-perl' 'libhtml-parser-perl' 'libhtml-tagset-perl' 'libhtml-template-perl' 'libhtml-tree-perl' 'libhunspell-1.2-0' 'libhyphen0' 'libibus1' 'libical0' 'libice-dev' 'libice6' 'libicu42' 'libicu4j-java' 'libid3-3.8.3c2a' 'libid3tag0' 'libidl0' 'libidn11' 'libidn11-dev' 'libido-0.1-0' 'libiec61883-0' 'libieee1284-3' 'libijs-0.35' 'libilmbase6' 'libimobiledevice0' 'libimobiledevice1' 'libindicate-gtk2' 'libindicate-qt0' 'libindicate4' 'libindicator0' 'libinotifytools0' 'libio-compress-base-perl' 'libio-compress-perl' 'libio-compress-zlib-perl' 'libio-string-perl' 'libiodbc2' 'libiptcdata0' 'libisc60' 'libisccc60' 'libisccfg60' 'libiso9660-7' 'libiw30' 'libjack0' 'libjasper-java' 'libjasper1' 'libjaxp1.3-java' 'libjetty-java' 'libjline-java' 'libjpeg62' 'libjs-jquery' 'libjs-prototype' 'libjsch-java' 'libjson-glib-1.0-0' 'libjtidy-java' 'libk5crypto3' 'libkadm5clnt-mit7' 'libkadm5srv-mit7' 'libkate1' 'libkcddb4' 'libkdb5-4' 'libkeyutils1' 'libklibc' 'libkonq5' 'libkonq5-templates' 'libkpathsea5' 'libkrb5-3' 'libkrb5-dev' 'libkrb5support0' 'liblapack3gf' 'liblastfm0' 'liblaunchpad-integration1' 'liblaunchpad-integration1.0-cil' 'liblcms1' 'libldap-2.4-2' 'libldap2-dev' 'liblircclient0' 'liblocale-gettext-perl' 'liblockfile1' 'liblog4r-ruby1.8' 'libloudmouth1-0' 'liblouis-data' 'liblouis0' 'liblpint-bonobo0' 'libltdl7' 'liblua5.1-0' 'liblucene2-java' 'liblwres60' 'liblzma1' 'liblzo2-2' 'libm17n-0' 'libmaa2' 'libmad0' 'libmagic1' 'libmagickcore2' 'libmagickcore2-extra' 'libmagickwand2' 'libmail-sendmail-perl' 'libmailtools-perl' 'libmatroska0' 'libmeanwhile1' 'libmetacity-private0' 'libmikmod2' 'libmimic0' 'libmjpegtools-1.9' 'libmldbm-perl' 'libmmap-ruby1.8' 'libmms0' 'libmng1' 'libmocha-ruby' 'libmocha-ruby1.8' 'libmodplug0c2' 'libmono-addins-gui0.2-cil' 'libmono-addins0.2-cil' 'libmono-cairo2.0-cil' 'libmono-corlib2.0-cil' 'libmono-data-tds2.0-cil' 'libmono-data2.0-cil' 'libmono-getoptions2.0-cil' 'libmono-i18n-west2.0-cil' 'libmono-i18n2.0-cil' 'libmono-posix2.0-cil' 'libmono-security2.0-cil' 'libmono-sharpzip2.84-cil' 'libmono-sqlite2.0-cil' 'libmono-system-data2.0-cil' 'libmono-system-runtime2.0-cil' 'libmono-system-web2.0-cil' 'libmono-system2.0-cil' 'libmono0' 'libmono2.0-cil' 'libmp3lame0' 'libmpcdec3' 'libmpeg2-4' 'libmpfr1ldbl' 'libmpg123-0' 'libmtp8' 'libmusicbrainz4c2a' 'libmysqlclient16' 'libnautilus-burn4' 'libnautilus-extension1' 'libncurses-ruby1.8' 'libncurses5' 'libncurses5-dev' 'libncursesw5' 'libndesk-dbus-glib1.0-cil' 'libndesk-dbus1.0-cil' 'libneon27' 'libneon27-gnutls' 'libnet-daemon-perl' 'libnet-dbus-perl' 'libnetpbm10' 'libnewt0.52' 'libnice0' 'libnih-dbus1' 'libnih1' 'libnl1' 'libnm-glib2' 'libnm-util1' 'libnotify-bin' 'libnotify0.4-cil' 'libnotify1' 'libnspr4-0d' 'libnss-mdns' 'libnss3-1d' 'libntfs-3g75' 'libntfs10' 'libnunit2.4-cil' 'libofa0' 'libogg0' 'liboil0.3' 'liboobs-1-4' 'libopal3.6.6' 'libopenal1' 'libopencore-amrnb0' 'libopencore-amrwb0' 'libopenexr6' 'libopenobex1' 'libopenspc0' 'libopenssl-ruby1.8' 'liborbit2' 'liborc-0.4-0' 'libotf0' 'libotr2' 'libpackagekit-glib2-12' 'libpackagekit-qt-12' 'libpam-ck-connector' 'libpam-gnome-keyring' 'libpam-modules' 'libpam-runtime' 'libpam-smbpass' 'libpam0g' 'libpanel-applet2-0' 'libpango-perl' 'libpango1-ruby1.8' 'libpango1.0-0' 'libpango1.0-common' 'libpangomm-1.4-1' 'libpaper-utils' 'libpaper1' 'libparse-debianchangelog-perl' 'libparted0debian1' 'libpcap0.8' 'libpci3' 'libpciaccess0' 'libpcre3' 'libpcsclite1' 'libperl5.10' 'libphonon4' 'libpisock9' 'libpisync1' 'libpixman-1-0' 'libplasma3' 'libplist1' 'libplrpc-perl' 'libplymouth2' 'libpng12-0' 'libpolkit-agent-1-0' 'libpolkit-backend-1-0' 'libpolkit-dbus2' 'libpolkit-gnome0' 'libpolkit-gobject-1-0' 'libpolkit-grant2' 'libpolkit-gtk-1-0' 'libpolkit-qt-1-0' 'libpolkit2' 'libpoppler-glib4' 'libpoppler5' 'libpopt0' 'libportaudio2' 'libportmidi0' 'libpostproc51' 'libpq-dev' 'libpq5' 'libprojectm-data' 'libprojectm2' 'libprotobuf5' 'libprotoc5' 'libproxy0' 'libpst4' 'libpt2.6.5' 'libpt2.6.5-plugins' 'libpth20' 'libpthread-stubs0' 'libpthread-stubs0-dev' 'libpulse-browse0' 'libpulse-mainloop-glib0' 'libpulse0' 'libpurple-bin' 'libpurple0' 'libpython2.6' 'libqca2' 'libqscintilla2-5' 'libqt3-mt' 'libqt4-assistant' 'libqt4-dbus' 'libqt4-designer' 'libqt4-help' 'libqt4-network' 'libqt4-opengl' 'libqt4-qt3support' 'libqt4-script' 'libqt4-scripttools' 'libqt4-sql' 'libqt4-sql-mysql' 'libqt4-sql-sqlite' 'libqt4-svg' 'libqt4-test' 'libqt4-webkit' 'libqt4-xml' 'libqt4-xmlpatterns' 'libqtcore4' 'libqtgui4' 'libqtscript4-core' 'libqtscript4-gui' 'libqtscript4-network' 'libqtscript4-sql' 'libqtscript4-uitools' 'libqtscript4-xml' 'libquicktime1' 'libraptor1' 'librarian0' 'librasqal2' 'libraw1394-11' 'librdf0' 'libreadline-ruby1.8' 'libreadline5' 'libreadline6' 'librecode0' 'libredcloth-ruby' 'libredcloth-ruby1.8' 'libregexp-java' 'librpc-xml-perl' 'librsvg2-2' 'librsvg2-2.18-cil' 'librsvg2-common' 'librsync1' 'libruby' 'libruby1.8' 'libruby1.8-extras' 'libsamplerate0' 'libsane' 'libsasl2-2' 'libsasl2-modules' 'libschroedinger-1.0-0' 'libscim8c2a' 'libsctp1' 'libsdl-image1.2' 'libsdl-mixer1.2' 'libsdl-net1.2' 'libsdl-ttf2.0-0' 'libsdl1.2debian' 'libsdl1.2debian-pulseaudio' 'libseed0' 'libselinux1' 'libsensors3' 'libsensors4' 'libsepol1' 'libservlet2.4-java' 'libservlet2.5-java' 'libsexy2' 'libsgutils2-2' 'libshout3' 'libsidplay1' 'libsigc++-2.0-0c2a' 'libsilc-1.1-2' 'libsilcclient-1.1-3' 'libslang2' 'libslf4j-java' 'libslp1' 'libsm-dev' 'libsm6' 'libsmbclient' 'libsmbios2' 'libsmi2ldbl' 'libsmpeg0' 'libsndfile1' 'libsnmp-base' 'libsnmp15' 'libsoprano4' 'libsoundtouch1c2' 'libsoup-gnome2.4-1' 'libsoup2.4-1' 'libsoup2.4-dev' 'libsox-fmt-all' 'libsox-fmt-alsa' 'libsox-fmt-ao' 'libsox-fmt-base' 'libsox-fmt-ffmpeg' 'libsox-fmt-mp3' 'libsox-fmt-oss' 'libsox-fmt-pulse' 'libsox1a' 'libspectre1' 'libspeechd2' 'libspeex1' 'libspeexdsp1' 'libsqlite0' 'libsqlite3-0' 'libsqlite3-ruby' 'libsqlite3-ruby1.8' 'libss2' 'libssh-4' 'libssl-dev' 'libssl0.9.8' 'libstartup-notification0' 'libstdc++6' 'libstdc++6-4.4-dev' 'libstlport4.6ldbl' 'libstreamanalyzer0' 'libstreams0' 'libsub-name-perl' 'libsvga1' 'libsvn1' 'libswscale0' 'libsys-hostname-long-perl' 'libsysfs2' 'libtag-extras1' 'libtag1-vanilla' 'libtag1c2a' 'libtalloc2' 'libtar' 'libtasn1-3' 'libtasn1-3-dev' 'libtdb1' 'libtelepathy-farsight0' 'libtelepathy-glib0' 'libterm-readkey-perl' 'libtext-charwidth-perl' 'libtext-iconv-perl' 'libtext-wrapi18n-perl' 'libthai-data' 'libthai0' 'libtheora0' 'libtidy-0.99-0' 'libtie-ixhash-perl' 'libtiff4' 'libtimedate-perl' 'libtotem-plparser17' 'libtrackerclient0' 'libts-0.0-0' 'libtwolame0' 'libubuntuone-1.0-1' 'libudev0' 'libunique-1.0-0' 'libupnp3' 'libupower-glib1' 'liburi-perl' 'libusb-0.1-4' 'libusb-1.0-0' 'libusbmuxd1' 'libusplash0' 'libuuid-perl' 'libuuid1' 'libv4l-0' 'libvcdinfo0' 'libvisual-0.4-0' 'libvisual-0.4-plugins' 'libvlc2' 'libvlccore2' 'libvorbis0a' 'libvorbisenc2' 'libvorbisfile3' 'libvte-common' 'libvte9' 'libwavpack1' 'libwbclient0' 'libwebkit-1.0-2' 'libwebkit-1.0-common' 'libwildmidi0' 'libwmf0.2-7' 'libwmf0.2-7-gtk' 'libwnck-common' 'libwnck2.20-cil' 'libwnck22' 'libwpd8c2a' 'libwpg-0.1-1' 'libwps-0.1-1' 'libwrap0' 'libwww-perl' 'libwxbase2.6-0' 'libwxbase2.8-0' 'libwxgtk2.6-0' 'libwxgtk2.8-0' 'libx11-6' 'libx11-data' 'libx11-dev' 'libx264-85' 'libx86-1' 'libxapian15' 'libxau-dev' 'libxau6' 'libxaw7' 'libxcb-atom1' 'libxcb-aux0' 'libxcb-event1' 'libxcb-keysyms1' 'libxcb-render-util0' 'libxcb-render0' 'libxcb-shape0' 'libxcb-shm0' 'libxcb-xv0' 'libxcb1' 'libxcb1-dev' 'libxcomposite1' 'libxcursor1' 'libxdamage1' 'libxdmcp-dev' 'libxdmcp6' 'libxerces2-java' 'libxext-dev' 'libxext6' 'libxfixes3' 'libxfont1' 'libxft-dev' 'libxft2' 'libxi6' 'libxine1' 'libxine1-bin' 'libxine1-console' 'libxine1-misc-plugins' 'libxine1-x' 'libxinerama-dev' 'libxinerama1' 'libxkbfile1' 'libxklavier16' 'libxml-libxml-perl' 'libxml-namespacesupport-perl' 'libxml-parser-perl' 'libxml-sax-expat-perl' 'libxml-sax-perl' 'libxml-simple-ruby' 'libxml-twig-perl' 'libxml-xpath-perl' 'libxml2' 'libxml2-dev' 'libxml2-utils' 'libxmu6' 'libxmuu1' 'libxp6' 'libxpm4' 'libxrandr2' 'libxrender-dev' 'libxrender1' 'libxres1' 'libxslt1.1' 'libxss1' 'libxt-dev' 'libxt6' 'libxtst6' 'libxv1' 'libxvidcore4' 'libxvmc1' 'libxxf86dga1' 'libxxf86misc1' 'libxxf86vm1' 'libzephyr4' 'light-themes' 'lightsoff' 'linux-firmware' 'linux-generic' 'linux-headers-2.6.32-24' 'linux-headers-2.6.32-24-generic' 'linux-headers-2.6.32-25' 'linux-headers-2.6.32-25-generic' 'linux-headers-2.6.32-26' 'linux-headers-2.6.32-26-generic' 'linux-headers-2.6.32-27' 'linux-headers-2.6.32-27-generic' 'linux-headers-2.6.32-28' 'linux-headers-2.6.32-28-generic' 'linux-headers-2.6.32-29' 'linux-headers-2.6.32-29-generic' 'linux-headers-2.6.32-30' 'linux-headers-2.6.32-30-generic' 'linux-headers-generic' 'linux-image-2.6.28-11-generic' 'linux-image-2.6.31-22-generic' 'linux-image-2.6.32-24-generic' 'linux-image-2.6.32-25-generic' 'linux-image-2.6.32-26-generic' 'linux-image-2.6.32-27-generic' 'linux-image-2.6.32-28-generic' 'linux-image-2.6.32-29-generic' 'linux-image-2.6.32-30-generic' 'linux-image-generic' 'linux-libc-dev' 'linux-sound-base' 'lksctp-tools' 'lm-sensors' 'lmodern' 'locales' 'lockfile-progs' 'login' 'logrotate' 'lp-solve' 'lrzsz' 'lsb-base' 'lsb-release' 'lshw' 'lsof' 'ltrace' 'luatex' 'lynx' 'lynx-cur' 'lzma' 'm17n-contrib' 'm17n-db' 'm4' 'make' 'makedev' 'makepasswd' 'man-db' 'manpages' 'manpages-dev' 'mawk' 'media-player-info' 'memtest86+' 'mencoder' 'mesa-utils' 'metacity' 'metacity-common' 'mime-support' 'min12xxw' 'minicom' 'mjpegtools' 'mktemp' 'mkvtoolnix' 'mlocate' 'mobile-broadband-provider-info' 'modemmanager' 'module-init-tools' 'mono-2.0-gac' 'mono-gac' 'mono-runtime' 'mount' 'mountall' 'mousetweaks' 'mplayer' 'mscompress' 'mtools' 'mtr-tiny' 'multitail' 'myspell-en-au' 'myspell-en-gb' 'myspell-en-za' 'mysql-client-5.1' 'mysql-client-core-5.1' 'mysql-common' 'mysql-server' 'mysql-server-5.1' 'mysql-server-core-5.1' 'nano' 'nasm' 'nautilus' 'nautilus-data' 'nautilus-sendto' 'nautilus-sendto-empathy' 'nautilus-share' 'ncurses-base' 'ncurses-bin' 'net-tools' 'netbase' 'netcat' 'netcat-openbsd' 'netcat-traditional' 'network-manager' 'network-manager-gnome' 'network-manager-pptp' 'network-manager-pptp-gnome' 'nmap' 'node' 'notify-osd' 'notify-osd-icons' 'ntfs-3g' 'ntfsprogs' 'ntpdate' 'nvidia-173-modaliases' 'nvidia-180-modaliases' 'nvidia-185-modaliases' 'nvidia-96-modaliases' 'nvidia-common' 'nvidia-current-modaliases' 'obex-data-server' 'obexd-client' 'odbcinst' 'odbcinst1debian1' 'onboard' 'openbsd-inetd' 'openjdk-6-jre' 'openjdk-6-jre-headless' 'openjdk-6-jre-lib' 'openoffice.org-base-core' 'openoffice.org-calc' 'openoffice.org-common' 'openoffice.org-core' 'openoffice.org-draw' 'openoffice.org-emailmerge' 'openoffice.org-gnome' 'openoffice.org-gtk' 'openoffice.org-help-en-gb' 'openoffice.org-help-en-us' 'openoffice.org-hyphenation' 'openoffice.org-hyphenation-en-us' 'openoffice.org-impress' 'openoffice.org-l10n-common' 'openoffice.org-l10n-en-gb' 'openoffice.org-l10n-en-za' 'openoffice.org-math' 'openoffice.org-style-galaxy' 'openoffice.org-style-human' 'openoffice.org-thesaurus-en-au' 'openoffice.org-thesaurus-en-us' 'openoffice.org-writer' 'openprinting-ppds' 'openssh-client' 'openssh-server' 'openssl' 'openttd' 'openttd-data' 'openttd-opengfx' 'openvpn-as' 'opera' 'os-prober' 'oxygen-icon-theme' 'packagekit' 'packagekit-backend-apt' 'par' 'parcellite' 'parted' 'passwd' 'patch' 'pciutils' 'pcmciautils' 'perl' 'perl-base' 'perl-doc' 'perl-modules' 'pgf' 'pgpool2' 'phonon' 'phonon-backend-xine' 'pidgin' 'pidgin-data' 'pidgin-libnotify' 'pidgin-otr' 'pitivi' 'pkg-config' 'plasma-scriptengine-javascript' 'plymouth' 'plymouth-label' 'plymouth-theme-ubuntu-logo' 'plymouth-theme-ubuntu-text' 'plymouth-x11' 'pm-utils' 'pnm2ppa' 'po-debconf' 'policykit' 'policykit-1' 'policykit-1-gnome' 'policykit-desktop-privileges' 'polkit-kde-1' 'pomodairo.1041936b6d0707c313e2e169d771193a7dfbadcc.1' 'pomodorome' 'poppler-utils' 'popularity-contest' 'postfix' 'postgresql' 'postgresql-8.4' 'postgresql-client' 'postgresql-client-8.4' 'postgresql-client-common' 'postgresql-common' 'powermgmt-base' 'ppp' 'pppconfig' 'pppoeconf' 'pptp-linux' 'prboom' 'procps' 'prosper' 'protobuf-compiler' 'ps2eps' 'psfontmgr' 'psmisc' 'pulseaudio' 'pulseaudio-esound-compat' 'pulseaudio-module-bluetooth' 'pulseaudio-module-gconf' 'pulseaudio-module-x11' 'pulseaudio-utils' 'pv' 'pwgen' 'pxljr' 'pyflakes' 'pymacs' 'pyqt4-dev-tools' 'python' 'python-appindicator' 'python-apport' 'python-apt' 'python-aptdaemon' 'python-aptdaemon-gtk' 'python-avahi' 'python-brlapi' 'python-bugbuddy' 'python-cairo' 'python-central' 'python-configglue' 'python-couchdb' 'python-crypto' 'python-cups' 'python-cupshelpers' 'python-dateutil' 'python-dbus' 'python-debian' 'python-desktopcouch' 'python-desktopcouch-records' 'python-dev' 'python-docutils' 'python-egenix-mxdatetime' 'python-egenix-mxtools' 'python-evince' 'python-evolution' 'python-examples' 'python-farsight' 'python-foolscap' 'python-fstab' 'python-gconf' 'python-gdata' 'python-gdbm' 'python-glade2' 'python-gmenu' 'python-gnome2' 'python-gnome2-desktop' 'python-gnomeapplet' 'python-gnomecanvas' 'python-gnomedesktop' 'python-gnomekeyring' 'python-gnomeprint' 'python-gnupginterface' 'python-gobject' 'python-gst0.10' 'python-gtk2' 'python-gtkglext1' 'python-gtksourceview2' 'python-gtkspell' 'python-gtop' 'python-httplib2' 'python-ibus' 'python-imaging' 'python-indicate' 'python-iniparse' 'python-jinja2' 'python-kde4' 'python-keybinder' 'python-launchpad-integration' 'python-launchpadlib' 'python-lazr.restfulclient' 'python-lazr.uri' 'python-libxml2' 'python-louis' 'python-lxml' 'python-mako' 'python-mediaprofiles' 'python-medusa' 'python-meld3' 'python-metacity' 'python-minimal' 'python-nautilus' 'python-newt' 'python-notify' 'python-numpy' 'python-oauth' 'python-opengl' 'python-openssl' 'python-packagekit' 'python-pam' 'python-papyon' 'python-pexpect' 'python-pkg-resources' 'python-problem-report' 'python-protobuf' 'python-pyatspi' 'python-pycurl' 'python-pygame' 'python-pygments' 'python-pygoocanvas' 'python-pyinotify' 'python-pylibacl' 'python-pyorbit' 'python-pyxattr' 'python-qscintilla2' 'python-qt4' 'python-rdflib' 'python-roman' 'python-rope' 'python-ropemacs' 'python-rsvg' 'python-serial' 'python-setuptools' 'python-sexy' 'python-simplejson' 'python-sip' 'python-smbc' 'python-software-properties' 'python-speechd' 'python-sphinx' 'python-support' 'python-svn' 'python-telepathy' 'python-totem-plparser' 'python-twisted-bin' 'python-twisted-core' 'python-twisted-names' 'python-twisted-web' 'python-ubuntuone' 'python-ubuntuone-client' 'python-ubuntuone-storageprotocol' 'python-uno' 'python-usb' 'python-virtkey' 'python-vte' 'python-wadllib' 'python-webkit' 'python-wnck' 'python-wxgtk2.6' 'python-wxgtk2.8' 'python-wxversion' 'python-xapian' 'python-xdg' 'python-xkit' 'python-zope.interface' 'python2.6' 'python2.6-dev' 'python2.6-examples' 'python2.6-minimal' 'python3' 'python3-minimal' 'python3.1' 'python3.1-minimal' 'quadrapassel' 'quicksynergy' 'rabbitmq-server' 'radeontool' 'rails' 'rake' 'rarian-compat' 'rdesktop' 'rdiff-backup' 'rdoc' 'rdoc1.8' 'readline-common' 'realpath' 'recode' 'redis-server' 'reiserfsprogs' 'rhino' 'rhythmbox' 'rhythmbox-plugin-cdrecorder' 'rhythmbox-plugins' 'rhythmbox-ubuntuone-music-store' 'rss-glx' 'rsync' 'rsyslog' 'rtkit' 'ruby' 'ruby1.8' 'rubygems1.8' 's3cmd' 'samba' 'samba-common' 'samba-common-bin' 'sane-utils' 'sat4j' 'scim' 'scim-bridge-agent' 'scim-bridge-client-gtk' 'scim-gtk2-immodule' 'scim-modules-socket' 'screen' 'screen-profiles' 'screen-resolution-extra' 'screensaver-default-images' 'seahorse' 'seahorse-plugins' 'sed' 'seed' 'sensible-utils' 'sg3-utils' 'sgml-base' 'sgml-data' 'shared-desktop-ontologies' 'shared-mime-info' 'simple-scan' 'skype' 'sloccount' 'smartdimmer' 'smbclient' 'software-center' 'software-properties-gtk' 'software-properties-kde' 'soprano-daemon' 'sox' 'speech-dispatcher' 'splix' 'sqlite' 'sqlite3' 'sreadahead' 'ssh-askpass-gnome' 'sshfs' 'sshpass' 'ssl-cert' 'stellarium' 'stellarium-data' 'strace' 'subversion' 'sudo' 'sun-java6-bin' 'sun-java6-demo' 'sun-java6-fonts' 'sun-java6-javadb' 'sun-java6-jdk' 'sun-java6-jre' 'sun-java6-plugin' 'sun-java6-source' 'sun-javadb-client' 'sun-javadb-common' 'sun-javadb-core' 'sun-javadb-demo' 'sun-javadb-doc' 'sun-javadb-javadoc' 'supervisor' 'swell-foop' 'synaptic' 'synergy' 'syslinux' 'system-config-printer-common' 'system-config-printer-gnome' 'system-config-printer-udev' 'system-tools-backends' 'sysv-rc' 'sysv-rc-conf' 'sysvinit-utils' 'tangerine-icon-theme' 'tar' 'tasksel' 'tasksel-data' 'tcl8.4' 'tcpd' 'tcpdump' 'telepathy-butterfly' 'telepathy-gabble' 'telepathy-haze' 'telepathy-idle' 'telepathy-mission-control-5' 'telepathy-salut' 'telnet' 'terminator' 'tex-common' 'texlive' 'texlive-base' 'texlive-binaries' 'texlive-common' 'texlive-doc-base' 'texlive-extra-utils' 'texlive-font-utils' 'texlive-fonts-recommended' 'texlive-fonts-recommended-doc' 'texlive-generic-recommended' 'texlive-latex-base' 'texlive-latex-base-doc' 'texlive-latex-recommended' 'texlive-latex-recommended-doc' 'texlive-luatex' 'texlive-pstricks' 'texlive-pstricks-doc' 'thunderbird' 'thunderbird-gnome-support' 'thunderbird-locale-en-gb' 'tictactoe' 'tidy' 'time' 'timidity' 'timidity-daemon' 'tipa' 'tk8.4' 'tmux' 'tofrodos' 'tomboy' 'toshset' 'totem' 'totem-common' 'totem-gstreamer' 'totem-mozilla' 'totem-plugins' 'tovid' 'tovidgui' 'transcode' 'transcode-doc' 'transmission-common' 'transmission-gtk' 'tree' 'tsclient' 'tsconf' 'ttf-arabeyes' 'ttf-arphic-uming' 'ttf-dejavu' 'ttf-dejavu-core' 'ttf-dejavu-extra' 'ttf-droid' 'ttf-freefont' 'ttf-indic-fonts-core' 'ttf-kacst' 'ttf-kacst-one' 'ttf-khmeros-core' 'ttf-lao' 'ttf-liberation' 'ttf-mscorefonts-installer' 'ttf-opensymbol' 'ttf-punjabi-fonts' 'ttf-sazanami-gothic' 'ttf-sazanami-mincho' 'ttf-symbol-replacement-wine1.3' 'ttf-takao-pgothic' 'ttf-thai-tlwg' 'ttf-umefont' 'ttf-unfonts-core' 'ttf-vlgothic' 'ttf-wqy-microhei' 'ttf-wqy-zenhei' 'twolame' 'tzdata' 'tzdata-java' 'ubufox' 'ubuntu-artwork' 'ubuntu-desktop' 'ubuntu-docs' 'ubuntu-keyring' 'ubuntu-minimal' 'ubuntu-mono' 'ubuntu-sounds' 'ubuntu-standard' 'ubuntu-system-service' 'ubuntu-wallpapers' 'ubuntu-xsplash-artwork' 'ubuntuone-client' 'ubuntuone-client-gnome' 'ucf' 'udev' 'udisks' 'ufw' 'unattended-upgrades' 'units' 'unixodbc' 'uno-libs3' 'unrar' 'unzip' 'update-inetd' 'update-manager' 'update-manager-core' 'update-manager-kde' 'update-motd' 'update-notifier' 'update-notifier-common' 'upower' 'upstart' 'ure' 'ureadahead' 'usb-creator' 'usb-creator-common' 'usb-creator-gtk' 'usbmuxd' 'usbutils' 'util-linux' 'uuid-runtime' 'vamps' 'vbetool' 'vcdimager' 'vim' 'vim-common' 'vim-gnome' 'vim-gui-common' 'vim-runtime' 'vim-tiny' 'vinagre' 'vino' 'virtualbox-3.2' 'virtuoso-nepomuk' 'vlc' 'vlc-data' 'vlc-nox' 'vlc-plugin-pulse' 'vorbis-tools' 'w3m' 'wamerican' 'wbritish' 'wget' 'whiptail' 'whois' 'winbind' 'wine' 'wine1.3' 'wine1.3-gecko' 'winetricks' 'wingide3.2' 'wireless-crda' 'wireless-tools' 'wireshark' 'wireshark-common' 'wisotool' 'wmctrl' 'wodim' 'workrave' 'workrave-data' 'wpasupplicant' 'wwwconfig-common' 'x-ttcidfont-conf' 'x11-apps' 'x11-common' 'x11-session-utils' 'x11-utils' 'x11-xfs-utils' 'x11-xkb-utils' 'x11-xserver-utils' 'x11proto-core-dev' 'x11proto-input-dev' 'x11proto-kb-dev' 'x11proto-render-dev' 'x11proto-xext-dev' 'x11proto-xinerama-dev' 'xauth' 'xbitmaps' 'xclip' 'xcursor-themes' 'xdg-user-dirs' 'xdg-user-dirs-gtk' 'xdg-utils' 'xfonts-100dpi' 'xfonts-75dpi' 'xfonts-base' 'xfonts-encodings' 'xfonts-mathml' 'xfonts-scalable' 'xfonts-utils' 'xinit' 'xinput' 'xkb-data' 'xml-core' 'xmonad' 'xorg' 'xorg-docs-core' 'xplanet' 'xplanet-images' 'xsane' 'xsane-common' 'xscreensaver-data' 'xscreensaver-gl' 'xserver-common' 'xserver-xorg' 'xserver-xorg-core' 'xserver-xorg-input-all' 'xserver-xorg-input-evdev' 'xserver-xorg-input-mouse' 'xserver-xorg-input-synaptics' 'xserver-xorg-input-vmmouse' 'xserver-xorg-input-wacom' 'xserver-xorg-video-all' 'xserver-xorg-video-apm' 'xserver-xorg-video-ark' 'xserver-xorg-video-ati' 'xserver-xorg-video-chips' 'xserver-xorg-video-cirrus' 'xserver-xorg-video-fbdev' 'xserver-xorg-video-geode' 'xserver-xorg-video-i128' 'xserver-xorg-video-i740' 'xserver-xorg-video-intel' 'xserver-xorg-video-mach64' 'xserver-xorg-video-mga' 'xserver-xorg-video-neomagic' 'xserver-xorg-video-nouveau' 'xserver-xorg-video-nv' 'xserver-xorg-video-openchrome' 'xserver-xorg-video-r128' 'xserver-xorg-video-radeon' 'xserver-xorg-video-rendition' 'xserver-xorg-video-s3' 'xserver-xorg-video-s3virge' 'xserver-xorg-video-savage' 'xserver-xorg-video-siliconmotion' 'xserver-xorg-video-sis' 'xserver-xorg-video-sisusb' 'xserver-xorg-video-tdfx' 'xserver-xorg-video-trident' 'xserver-xorg-video-tseng' 'xserver-xorg-video-v4l' 'xserver-xorg-video-vesa' 'xserver-xorg-video-vmware' 'xserver-xorg-video-voodoo' 'xsltproc' 'xsplash' 'xterm' 'xtrans-dev' 'xulrunner-1.9.2' 'xz-utils' 'yasnippet' 'yelp' 'zenity' 'zip' 'zlib1g' 'zlib1g-dev' 'zsh' )

File oh-my-zsh/custom/example.zsh

+# Add yourself some shortcuts to projects you often work on
+# Example:
+#
+# brainstormr=/Users/robbyrussell/Projects/development/planetargon/brainstormr
+#

File oh-my-zsh/lib/aliases.zsh

+# Push and pop directories on directory stack
+alias pu='pushd'
+alias po='popd'
+
+# Basic directory operations
+alias ...='cd ../..'
+alias -- -='cd -'
+
+# Super user
+alias _='sudo'
+
+#alias g='grep -in'
+
+# Show history
+alias history='fc -l 1'
+
+# List direcory contents
+alias lsa='ls -lah'
+alias l='ls -la'
+alias ll='ls -l'
+alias sl=ls # often screw this up
+
+alias afind='ack-grep -il'
+
+alias x=extract

File oh-my-zsh/lib/completion.zsh

+# fixme - the load process here seems a bit bizarre
+
+unsetopt menu_complete   # do not autoselect the first completion entry
+unsetopt flowcontrol
+setopt auto_menu         # show completion menu on succesive tab press
+setopt complete_in_word
+setopt complete_aliases
+setopt always_to_end
+
+WORDCHARS=''
+
+autoload -U compinit
+compinit -i
+
+zmodload -i zsh/complist
+
+## case-insensitive (all),partial-word and then substring completion
+if [ "x$CASE_SENSITIVE" = "xtrue" ]; then
+  zstyle ':completion:*' matcher-list 'r:|[._-]=* r:|=*' 'l:|=* r:|=*'
+  unset CASE_SENSITIVE
+else
+  zstyle ':completion:*' matcher-list 'm:{a-zA-Z}={A-Za-z}' 'r:|[._-]=* r:|=*' 'l:|=* r:|=*'
+fi
+
+zstyle ':completion:*' list-colors ''
+
+# should this be in keybindings?
+bindkey -M menuselect '^o' accept-and-infer-next-history
+
+zstyle ':completion:*:*:*:*:*' menu select
+zstyle ':completion:*:*:kill:*:processes' list-colors '=(#b) #([0-9]#) ([0-9a-z-]#)*=01;34=0=01'
+zstyle ':completion:*:*:*:*:processes' command "ps -u `whoami` -o pid,user,comm -w -w"
+
+# disable named-directories autocompletion
+zstyle ':completion:*:cd:*' tag-order local-directories directory-stack path-directories
+cdpath=(.)
+
+# use /etc/hosts and known_hosts for hostname completion
+[ -r ~/.ssh/known_hosts ] && _ssh_hosts=(${${${${(f)"$(<$HOME/.ssh/known_hosts)"}:#[\|]*}%%\ *}%%,*}) || _ssh_hosts=()
+[ -r /etc/hosts ] && : ${(A)_etc_hosts:=${(s: :)${(ps:\t:)${${(f)~~"$(</etc/hosts)"}%%\#*}##[:blank:]#[^[:blank:]]#}}} || _etc_hosts=()
+hosts=(
+  "$_ssh_hosts[@]"
+  "$_etc_hosts[@]"
+  `hostname`
+  localhost
+)
+zstyle ':completion:*:hosts' hosts $hosts
+
+# Use caching so that commands like apt and dpkg complete are useable
+zstyle ':completion::complete:*' use-cache 1
+zstyle ':completion::complete:*' cache-path ~/.oh-my-zsh/cache/
+
+# Don't complete uninteresting users
+zstyle ':completion:*:*:*:users' ignored-patterns \
+        adm amanda apache avahi beaglidx bin cacti canna clamav daemon \
+        dbus distcache dovecot fax ftp games gdm gkrellmd gopher \
+        hacluster haldaemon halt hsqldb ident junkbust ldap lp mail \
+        mailman mailnull mldonkey mysql nagios \
+        named netdump news nfsnobody nobody nscd ntp nut nx openvpn \
+        operator pcap postfix postgres privoxy pulse pvm quagga radvd \
+        rpc rpcuser rpm shutdown squid sshd sync uucp vcsa xfs
+
+# ... unless we really want to.
+zstyle '*' single-ignored show
+

File oh-my-zsh/lib/correction.zsh

+setopt correct_all
+
+alias man='nocorrect man'
+alias mv='nocorrect mv'
+alias mysql='nocorrect mysql'
+alias mkdir='nocorrect mkdir'
+alias gist='nocorrect gist'
+alias heroku='nocorrect heroku'
+alias ebuild='nocorrect ebuild'
+alias hpodder='nocorrect hpodder'

File oh-my-zsh/lib/directories.zsh

+# Changing/making/removing directory
+setopt auto_name_dirs
+setopt auto_pushd
+setopt pushd_ignore_dups
+
+alias ..='cd ..'
+alias cd..='cd ..'
+alias cd...='cd ../..'
+alias cd....='cd ../../..'
+alias cd.....='cd ../../../..'
+alias cd/='cd /'
+
+alias 1='cd -'
+alias 2='cd +2'
+alias 3='cd +3'
+alias 4='cd +4'
+alias 5='cd +5'
+alias 6='cd +6'
+alias 7='cd +7'
+alias 8='cd +8'
+alias 9='cd +9'
+
+cd () {
+  if   [[ "x$*" == "x..." ]]; then
+    cd ../..
+  elif [[ "x$*" == "x...." ]]; then
+    cd ../../..
+  elif [[ "x$*" == "x....." ]]; then
+    cd ../../..
+  elif [[ "x$*" == "x......" ]]; then
+    cd ../../../..
+  else
+    builtin cd "$@"
+  fi
+}
+
+alias md='mkdir -p'
+alias rd=rmdir
+alias d='dirs -v'
+
+# mkdir & cd to it
+function mcd() { 
+  mkdir -p "$1" && cd "$1"; 
+}

File oh-my-zsh/lib/functions.zsh

+function zsh_stats() {
+  history | awk '{print $2}' | sort | uniq -c | sort -rn | head
+}
+
+function uninstall_oh_my_zsh() {
+  /bin/sh $ZSH/tools/uninstall.sh
+}
+
+function upgrade_oh_my_zsh() {
+  /bin/sh $ZSH/tools/upgrade.sh
+}
+
+function take() {
+  mkdir -p $1
+  cd $1
+}
+
+function extract() {
+    unset REMOVE_ARCHIVE
+    
+    if test "$1" = "-r"; then
+        REMOVE=1
+        shift
+    fi
+  if [[ -f $1 ]]; then
+    case $1 in
+      *.tar.bz2) tar xvjf $1;;
+      *.tar.gz) tar xvzf $1;;
+      *.tar.xz) tar xvJf $1;;
+      *.tar.lzma) tar --lzma -xvf $1;;
+      *.bz2) bunzip $1;;
+      *.rar) unrar $1;;
+      *.gz) gunzip $1;;
+      *.tar) tar xvf $1;;
+      *.tbz2) tar xvjf $1;;
+      *.tgz) tar xvzf $1;;
+      *.zip) unzip $1;;
+      *.Z) uncompress $1;;
+      *.7z) 7z x $1;;
+      *) echo "'$1' cannot be extracted via >extract<";;
+    esac
+
+    if [[ $REMOVE_ARCHIVE -eq 1 ]]; then
+        echo removing "$1";
+        /bin/rm "$1";
+    fi
+
+  else
+    echo "'$1' is not a valid file"
+  fi
+}
+

File oh-my-zsh/lib/git.zsh

+# get the name of the branch we are on
+function git_prompt_info() {
+  ref=$(git symbolic-ref HEAD 2> /dev/null) || return
+  echo "$ZSH_THEME_GIT_PROMPT_PREFIX${ref#refs/heads/}$(parse_git_dirty)$ZSH_THEME_GIT_PROMPT_SUFFIX"
+}
+
+parse_git_dirty () {
+  if [[ -n $(git status -s 2> /dev/null) ]]; then
+    echo "$ZSH_THEME_GIT_PROMPT_DIRTY"
+  else
+    echo "$ZSH_THEME_GIT_PROMPT_CLEAN"
+  fi
+}
+
+# get the status of the working tree
+git_prompt_status() {
+  INDEX=$(git status --porcelain 2> /dev/null)
+  STATUS=""
+  if $(echo "$INDEX" | grep '^?? ' &> /dev/null); then
+    STATUS="$ZSH_THEME_GIT_PROMPT_UNTRACKED$STATUS"
+  fi
+  if $(echo "$INDEX" | grep '^A  ' &> /dev/null); then
+    STATUS="$ZSH_THEME_GIT_PROMPT_ADDED$STATUS"
+  elif $(echo "$INDEX" | grep '^M  ' &> /dev/null); then
+    STATUS="$ZSH_THEME_GIT_PROMPT_ADDED$STATUS"
+  fi
+  if $(echo "$INDEX" | grep '^ M ' &> /dev/null); then
+    STATUS="$ZSH_THEME_GIT_PROMPT_MODIFIED$STATUS"
+  elif $(echo "$INDEX" | grep '^AM ' &> /dev/null); then
+    STATUS="$ZSH_THEME_GIT_PROMPT_MODIFIED$STATUS"
+  elif $(echo "$INDEX" | grep '^ T ' &> /dev/null); then
+    STATUS="$ZSH_THEME_GIT_PROMPT_MODIFIED$STATUS"
+  fi
+  if $(echo "$INDEX" | grep '^R  ' &> /dev/null); then
+    STATUS="$ZSH_THEME_GIT_PROMPT_RENAMED$STATUS"
+  fi
+  if $(echo "$INDEX" | grep '^ D ' &> /dev/null); then
+    STATUS="$ZSH_THEME_GIT_PROMPT_DELETED$STATUS"
+  fi
+  if $(echo "$INDEX" | grep '^UU ' &> /dev/null); then
+    STATUS="$ZSH_THEME_GIT_PROMPT_UNMERGED$STATUS"
+  fi
+  echo $STATUS
+}

File oh-my-zsh/lib/grep.zsh

+#
+# Color grep results
+# Examples: http://rubyurl.com/ZXv
+#
+export GREP_OPTIONS='--color=auto'
+export GREP_COLOR='1;32'

File oh-my-zsh/lib/history.zsh

+## Command history configuration
+HISTFILE=$HOME/.zsh_history
+HISTSIZE=10000
+SAVEHIST=10000
+
+setopt hist_ignore_dups # ignore duplication command history list
+setopt share_history # share command history data
+
+setopt hist_verify
+setopt inc_append_history
+setopt extended_history
+setopt hist_expire_dups_first
+setopt hist_ignore_space
+
+setopt SHARE_HISTORY
+setopt APPEND_HISTORY

File oh-my-zsh/lib/key-bindings.zsh

+# TODO: Explain what some of this does..
+autoload -U compinit
+compinit -i
+
+bindkey -e
+bindkey '\ew' kill-region
+bindkey -s '\el' "ls\n"
+bindkey -s '\e.' "..\n"
+bindkey '^r' history-incremental-search-backward
+bindkey "^[[5~" up-line-or-history
+bindkey "^[[6~" down-line-or-history
+
+# make search up and down work, so partially type and hit up/down to find relevant stuff
+bindkey '^[[A' up-line-or-search
+bindkey '^[[B' down-line-or-search
+
+bindkey "^[[H" beginning-of-line
+bindkey "^[[1~" beginning-of-line
+bindkey "^[[F"  end-of-line
+bindkey "^[[4~" end-of-line
+bindkey ' ' magic-space    # also do history expansion on space
+
+bindkey '^[[Z' reverse-menu-complete
+
+# consider emacs keybindings:
+
+#bindkey -e  ## emacs key bindings
+#
+#bindkey '^[[A' up-line-or-search
+#bindkey '^[[B' down-line-or-search
+#bindkey '^[^[[C' emacs-forward-word
+#bindkey '^[^[[D' emacs-backward-word
+#
+#bindkey -s '^X^Z' '%-^M'
+#bindkey '^[e' expand-cmd-path
+#bindkey '^[^I' reverse-menu-complete
+#bindkey '^X^N' accept-and-infer-next-history
+#bindkey '^W' kill-region
+#bindkey '^I' complete-word
+## Fix weird sequence that rxvt produces
+#bindkey -s '^[[Z' '\t'
+#

File oh-my-zsh/lib/misc.zsh

+## smart urls
+autoload -U url-quote-magic
+zle -N self-insert url-quote-magic
+
+## file rename magick
+bindkey "^[m" copy-prev-shell-word
+
+## jobs
+setopt long_list_jobs
+
+## pager
+export PAGER=less
+export LC_CTYPE=en_US.UTF-8

File oh-my-zsh/lib/rvm.zsh

+# get the name of the branch we are on
+function rvm_prompt_info() {
+  ruby_version=$(~/.rvm/bin/rvm-prompt 2> /dev/null) || return
+  echo "($ruby_version)"
+}
+
+

File oh-my-zsh/lib/spectrum.zsh

+#! /bin/zsh
+# A script to make using 256 colors in zsh less painful.
+# P.C. Shyamshankar <sykora@lucentbeing.com>
+# Copied from http://github.com/sykora/etc/blob/master/zsh/functions/spectrum/
+
+typeset -Ag FX FG BG
+
+FX=(
+    reset     "%{%}"
+    bold      "%{%}" no-bold      "%{%}"
+    italic    "%{%}" no-italic    "%{%}"
+    underline "%{%}" no-underline "%{%}"
+    blink     "%{%}" no-blink     "%{%}"
+    reverse   "%{%}" no-reverse   "%{%}"
+)
+
+for color in {000..255}; do
+    FG[$color]="%{[38;5;${color}m%}"
+    BG[$color]="%{[48;5;${color}m%}"
+done

File oh-my-zsh/lib/termsupport.zsh

+#usage: title short_tab_title looooooooooooooooooooooggggggg_windows_title
+#http://www.faqs.org/docs/Linux-mini/Xterm-Title.html#ss3.1
+#Fully support screen, iterm, and probably most modern xterm and rxvt
+#Limited support for Apple Terminal (Terminal can't set window or tab separately)
+function title {
+  if [[ "$TERM" == "screen" ]]; then 
+    print -Pn "\ek$1\e\\" #set screen hardstatus, usually truncated at 20 chars
+  elif [[ ($TERM =~ "^xterm") ]] || [[ ($TERM == "rxvt") ]] || [[ "$TERM_PROGRAM" == "iTerm.app" ]]; then
+    print -Pn "\e]2;$2\a" #set window name
+    print -Pn "\e]1;$1\a" #set icon (=tab) name (will override window name on broken terminal)
+  fi
+}
+
+ZSH_THEME_TERM_TAB_TITLE_IDLE="%15<..<%~%<<" #15 char left truncated PWD
+ZSH_THEME_TERM_TITLE_IDLE="%n@%m: %~"
+
+#Appears when you have the prompt
+function precmd {
+  if [ "$DISABLE_AUTO_TITLE" != "true" ]; then
+    title $ZSH_THEME_TERM_TAB_TITLE_IDLE $ZSH_THEME_TERM_TITLE_IDLE
+  fi
+}
+
+#Appears at the beginning of (and during) of command execution
+function preexec {
+  if [ "$DISABLE_AUTO_TITLE" != "true" ]; then
+    local CMD=${1[(wr)^(*=*|sudo|ssh|-*)]} #cmd name only, or if this is sudo or ssh, the next cmd
+    title "$CMD" "%100>...>$2%<<"
+  fi
+}

File oh-my-zsh/lib/theme-and-appearance.zsh

+# ls colors
+autoload colors; colors;
+export LSCOLORS="Gxfxcxdxbxegedabagacad"
+#export LS_COLORS
+
+# Enable ls colors
+if [ "$DISABLE_LS_COLORS" != "true" ]
+then
+  # Find the option for using colors in ls, depending on the version: Linux or BSD
+  ls --color -d . &>/dev/null 2>&1 && alias ls='ls --color=tty' || alias ls='ls -G'
+fi
+
+#setopt no_beep
+setopt auto_cd
+setopt multios
+setopt cdablevarS
+
+if [[ x$WINDOW != x ]]
+then
+    SCREEN_NO="%B$WINDOW%b "
+else
+    SCREEN_NO=""
+fi
+
+# Apply theming defaults
+PS1="%n@%m:%~%# "
+
+# git theming default: Variables for theming the git info prompt
+ZSH_THEME_GIT_PROMPT_PREFIX="git:("         # Prefix at the very beginning of the prompt, before the branch name
+ZSH_THEME_GIT_PROMPT_SUFFIX=")"             # At the very end of the prompt
+ZSH_THEME_GIT_PROMPT_DIRTY="*"              # Text to display if the branch is dirty
+ZSH_THEME_GIT_PROMPT_CLEAN=""               # Text to display if the branch is clean
+
+# Setup the prompt with pretty colors
+setopt prompt_subst
+

File oh-my-zsh/log/.easter-egg

+This file is only here so that Git will keep a log directory as .gitignore is ignoring all the log files within it.
+
+feel free to add love notes for people here.
+

File oh-my-zsh/oh-my-zsh.sh

+# Initializes Oh My Zsh
+
+# add a function path
+fpath=($ZSH/functions $fpath)
+
+# Load all of the config files in ~/oh-my-zsh that end in .zsh
+# TIP: Add files you don't want in git to .gitignore
+for config_file ($ZSH/lib/*.zsh) source $config_file
+
+# Load all of your custom configurations from custom/
+for config_file ($ZSH/custom/*.zsh) source $config_file
+
+# Load all of the plugins that were defined in ~/.zshrc
+plugin=${plugin:=()}
+for plugin ($plugins) source $ZSH/plugins/$plugin/$plugin.plugin.zsh
+
+# Load the theme
+source "$ZSH/themes/$ZSH_THEME.zsh-theme"
+
+# Check for updates on initial load...
+if [ "$DISABLE_AUTO_UPDATE" = "true" ]
+then
+  return
+else
+  /usr/bin/env zsh $ZSH/tools/check_for_upgrade.sh
+fi

File oh-my-zsh/plugins/brew/_brew

+#compdef brew
+#autoload
+
+# imported from the latest homebrew contributions
+
+_brew_all_formulae() {
+  formulae=(`brew search`)
+}
+
+_brew_installed_formulae() {
+  installed_formulae=(`brew list`)
+}
+
+local -a _1st_arguments
+_1st_arguments=(
+  'cat:display formula file for a formula'
+  'cleanup:uninstall unused and old versions of packages'
+  'create:create a new formula'
+  'deps:list dependencies and dependants of a formula'
+  'doctor:audits your installation for common issues'
+  'edit:edit a formula'
+  'home:visit the homepage of a formula or the brew project'
+  'info:information about a formula'
+  'install:install a formula'
+  'link:link a formula'
+  'list:list files in a formula or not-installed formulae'
+  'log:git commit log for a formula'
+  'outdated:list formulas for which a newer version is available'
+  'prune:remove dead links'
+  'remove:remove a formula'
+  'search:search for a formula (/regex/ or string)'
+  'unlink:unlink a formula'
+  'update:freshen up links'
+  'uses:show formulas which depend on a formula'
+)
+
+local expl
+local -a formula installed_formulae
+
+_arguments \
+  '(-v --verbose)'{-v,--verbose}'[verbose]' \
+  '(--version)--version[version information]' \
+  '(--prefix)--prefix[where brew lives on this system]' \
+  '(--cache)--cache[brew cache]' \
+  '*:: :->subcmds' && return 0
+
+if (( CURRENT == 1 )); then
+  _describe -t commands "brew subcommand" _1st_arguments
+  return
+fi
+
+case "$words[1]" in
+  list)
+    _arguments \
+      '(--unbrewed)--unbrewed[files in brew --prefix not controlled by brew]' \
+      '1: :->forms' &&  return 0
+
+      if [[ "$state" == forms ]]; then
+        _brew_installed_formulae
+        _requested installed_formulae expl 'installed formulae' compadd -a installed_formulae
+      fi ;;
+  install|home|log|info|uses|cat|deps)
+    _brew_all_formulae
+    _wanted formulae expl 'all formulae' compadd -a formulae ;;
+  remove|edit|xo)
+    _brew_installed_formulae
+    _wanted installed_formulae expl 'installed formulae' compadd -a installed_formulae ;;
+esac
+

File oh-my-zsh/plugins/brew/brew.plugin.zsh

+# add brew completion function to path
+fpath=($ZSH/plugins/brew $fpath)
+autoload -U compinit
+compinit -i

File oh-my-zsh/plugins/bundler/bundler.plugin.zsh

+alias be="bundle exec"
+alias bi="bundle install"
+alias bu="bundle update"

File oh-my-zsh/plugins/cap/cap.plugin.zsh

+function _cap_does_task_list_need_generating () {
+  if [ ! -f .cap_tasks~ ]; then return 0;
+  else
+    accurate=$(stat -f%m .cap_tasks~)
+    changed=$(stat -f%m config/deploy.rb)
+    return $(expr $accurate '>=' $changed)
+  fi
+}
+
+function _cap () {
+  if [ -f config/deploy.rb ]; then
+    if _cap_does_task_list_need_generating; then
+      echo "\nGenerating .cap_tasks~..." > /dev/stderr
+      cap show_tasks -q | cut -d " " -f 1 | sed -e '/^ *$/D' -e '1,2D'
+> .cap_tasks~
+    fi
+    compadd `cat .cap_tasks~`
+  fi
+}
+
+compctl -K _cap cap

File oh-my-zsh/plugins/command-not-found/command-not-found.plugin.zsh

+# Uses the command-not-found package zsh support
+# as seen in http://www.porcheron.info/command-not-found-for-zsh/
+# this is installed in Ubuntu
+
+source /etc/zsh_command_not_found

File oh-my-zsh/plugins/cpanm/_cpanm

+#compdef cpanm
+
+##
+# cpanminus Z Shell completion script
+##
+#
+# Current supported cpanm version: 1.4000 (Tue Mar  8 01:00:49 PST 2011)
+#
+# The latest code is always located at:
+#   https://github.com/rshhh/cpanminus/blob/master/etc/_cpanm
+#
+
+local arguments curcontext="$curcontext"
+typeset -A opt_args
+
+
+arguments=(
+
+# Commands
+#  '(--install -i)'{--install,-i}'[Installs the modules]'
+  '(- :)--self-upgrade[Upgrades itself]'
+  '(- :)--info[Displays distribution info on CPAN]'
+  '(--installdeps)--installdeps[Only install dependencies]'
+  '(--look)--look[Download/unpack the distribution and then open the directory with your shell]'
+  '(- :)'{--help,-h}'[Displays help information]'
+  '(- :)'{--version,-V}'[Displays software version]'
+
+# Options
+  {--force,-f}'[Force install]'
+  {--notest,-n}'[Do not run unit tests]'
+  {--sudo,-S}'[sudo to run install commands]'
+  '(-v --verbose --quiet -q)'{--verbose,-v}'[Turns on chatty output]'
+  '(-q --quiet --verbose -v)'{--quiet,-q}'[Turns off all output]'
+  {--local-lib,-l}'[Specify the install base to install modules]'
+  {--local-lib-contained,-L}'[Specify the install base to install all non-core modules]'
+  '--mirror[Specify the base URL for the mirror (e.g. http://cpan.cpantesters.org/)]:URLs:_urls'
+  '--mirror-only[Use the mirror\''s index file instead of the CPAN Meta DB]'
+  '--prompt[Prompt when configure/build/test fails]'
+  '--reinstall[Reinstall the distribution even if you already have the latest version installed]'
+  '--interactive[Turn on interactive configure]'
+
+  '--scandeps[Scan the depencencies of given modules and output the tree in a text format]'
+  '--format[Specify what format to display the scanned dependency tree]:scandeps format:(tree json yaml dists)'
+
+  '--save-dists[Specify the optional directory path to copy downloaded tarballs]'
+#  '--uninst-shadows[Uninstalls the shadow files of the distribution that you\''re installing]'
+
+  '--auto-cleanup[Number of days that cpanm\''s work directories expire in. Defaults to 7]'
+  '(--no-man-pages)--man-pages[Generates man pages for executables (man1) and libraries (man3)]'
+  '(--man-pages)--no-man-pages[Do not generate man pages]'
+
+
+  # Note: Normally with "--lwp", "--wget" and "--curl" options set to true (which is the default) cpanm tries LWP,
+  #            Wget, cURL and HTTP::Tiny (in that order) and uses the first one available.
+  # (So that the exclusions are not enabled here for the completion)
+  '(--lwp)--lwp[Use LWP module to download stuff]'
+  '(--wget)--wget[Use GNU Wget (if available) to download stuff]'
+  '(--curl)--curl[Use cURL (if available) to download stuff]'
+
+# Other completions
+  '*:Local directory or archive:_files -/ -g "*.(tar.gz|tgz|tar.bz2|zip)(-.)"'
+  #  '*::args: _normal' # this looks for default files (any files)
+)
+_arguments -s $arguments \
+  && return 0
+
+return 1

File oh-my-zsh/plugins/cpanm/cpanm.plugin.zsh

+# add cpanm completion function to path
+fpath=($ZSH/plugins/cpanm $fpath)
+autoload -U compinit
+compinit -i

File oh-my-zsh/plugins/deb/deb.plugin.zsh

+# Aliases
+alias as="aptitude -F \"* %p -> %d \n(%v/%V)\" \
+		--no-gui --disable-columns search"	# search package
+alias ad="sudo apt-get update"				# update packages lists
+alias au="sudo apt-get update && \
+		sudo apt-get dselect-upgrade"		# upgrade packages
+alias ai="sudo apt-get install"				# install package
+alias ar="sudo apt-get remove --purge && \
+		sudo apt-get autoremove --purge"	# remove package
+alias ap="apt-cache policy"				# apt policy
+alias av="apt-cache show"				# show package info
+alias ac="sudo apt-get clean && sudo apt-get autoclean" # clean apt cache

File oh-my-zsh/plugins/debian/debian.plugin.zsh

+# https://github.com/dbbolton/
+#
+# Debian-related zsh aliases and functions for zsh
+
+
+# Aliases ###################################################################
+
+# Some self-explanatory aliases
+alias afs='apt-file search --regexp'
+alias aps='aptitude search'
+alias apsrc='apt-get source'
+alias apv='apt-cache policy'
+
+alias apdg='su -c "aptitude update && aptitude safe-upgrade"'
+alias apud='su -c "aptitude update"'
+alias apug='su -c "aptitude safe-upgrade"'
+
+# print all installed packages
+alias allpkgs='aptitude search -F "%p" --disable-columns ~i'
+
+# Install all .deb files in the current directory.
+# Warning: you will need to put the glob in single quotes if you use:
+# glob_subst
+alias di='su -c "dpkg -i ./*.deb"'
+
+# Create a basic .deb package
+alias mydeb='time dpkg-buildpackage -rfakeroot -us -uc'
+
+# Remove ALL kernel images and headers EXCEPT the one in use
+alias kclean='su -c '\''aptitude remove -P ?and(~i~nlinux-(ima|hea) ?not(~n`uname -r`))'\'' root'
+
+
+
+# Functions #################################################################
+
+# create a simple script that can be used to 'duplicate' a system
+apt-copy() {
+	print '#!/bin/sh'"\n" > apt-copy.sh
+
+	list=$(perl -m'AptPkg::Cache' -e '$c=AptPkg::Cache->new; for (keys %$c){ push @a, $_ if $c->{$_}->{'CurrentState'} eq 'Installed';} print "$_ " for sort @a;')
+
+	print 'aptitude install '"$list\n" >> apt-copy.sh
+
+	chmod +x apt-copy.sh
+}
+
+
+# Kernel-package building shortcut
+dbb-build () {
+	MAKEFLAGS=''		# temporarily unset MAKEFLAGS ( '-j3' will fail )
+	appendage='-custom' # this shows up in $ (uname -r )
+    revision=$(date +"%Y%m%d") # this shows up in the .deb file name
+
+    make-kpkg clean
+
+    time fakeroot make-kpkg --append-to-version "$appendage" --revision \
+        "$revision" kernel_image kernel_headers
+}
+
+

File oh-my-zsh/plugins/dirpersist/dirpersist.plugin.zsh

+#!/bin/zsh
+# 
+# Make the dirstack more persistant
+# 
+# Add dirpersist to $plugins in ~/.zshrc to load
+# 
+
+# $zdirstore is the file used to persist the stack
+zdirstore=~/.zdirstore
+
+dirpersistinstall () {
+    if grep 'dirpersiststore' ~/.zlogout > /dev/null; then
+    else
+        if read -q \?"Would you like to set up your .zlogout file for use with dirspersist? (y/n) "; then
+            echo "# Store dirs stack\n# See ~/.oh-my-zsh/plugins/dirspersist.plugin.zsh\ndirpersiststore" >> ~/.zlogout
+        else
+            echo "If you don't want this message to appear, remove dirspersist from \$plugins"
+        fi
+    fi
+}
+
+dirpersiststore () {
+    dirs -p | perl -e 'foreach (reverse <STDIN>) {chomp;s/([& ])/\\$1/g ;print "if [ -d $_ ]; then pushd -q $_; fi\n"}' > $zdirstore
+}
+
+dirpersistrestore () {
+    if [ -f $zdirstore ]; then
+        source $zdirstore
+    fi
+}
+
+DIRSTACKSIZE=10
+setopt autopushd pushdminus pushdsilent pushdtohome pushdignoredups
+
+dirpersistinstall
+dirpersistrestore
+
+# Make popd changes permanent without having to wait for logout
+alias popd="popd;dirpersiststore"

File oh-my-zsh/plugins/gem/_gem

+#compdef gem
+#autoload
+
+# gem zsh completion, based on homebrew completion
+
+_gem_installed() {
+  installed_gems=(`gem list --local --no-versions`)
+}
+
+local -a _1st_arguments
+_1st_arguments=(
+  'cert:Manage RubyGems certificates and signing settings'
+  'check:Check installed gems'
+  'cleanup:Clean up old versions of installed gems in the local repository'
+  'contents:Display the contents of the installed gems'
+  'dependency:Show the dependencies of an installed gem'
+  'environment:Display information about the RubyGems environment'
+  'fetch:Download a gem and place it in the current directory'
+  'generate_index:Generates the index files for a gem server directory'
+  'help:Provide help on the `gem` command'
+  'install:Install a gem into the local repository'
+  'list:Display gems whose name starts with STRING'
+  'lock:Generate a lockdown list of gems'
+  'mirror:Mirror a gem repository'
+  'outdated:Display all gems that need updates'
+  'owner:Manage gem owners on RubyGems.org.'
+  'pristine:Restores installed gems to pristine condition from files located in the gem cache'
+  'push:Push a gem up to RubyGems.org'
+  'query:Query gem information in local or remote repositories'
+  'rdoc:Generates RDoc for pre-installed gems'
+  'search:Display all gems whose name contains STRING'
+  'server:Documentation and gem repository HTTP server'
+  'sources:Manage the sources and cache file RubyGems uses to search for gems'
+  'specification:Display gem specification (in yaml)'
+  'stale:List gems along with access times'
+  'uninstall:Uninstall gems from the local repository'
+  'unpack:Unpack an installed gem to the current directory'
+  'update:Update the named gems (or all installed gems) in the local repository'
+  'which:Find the location of a library file you can require'
+)
+
+local expl
+local -a gems installed_gems
+
+_arguments \
+  '(-v --version)'{-v,--version}'[show version]' \
+  '(-h --help)'{-h,--help}'[show help]' \
+  '*:: :->subcmds' && return 0
+
+if (( CURRENT == 1 )); then
+  _describe -t commands "gem subcommand" _1st_arguments
+  return
+fi
+
+case "$words[1]" in
+  list)
+      if [[ "$state" == forms ]]; then
+        _gem_installed
+        _requested installed_gems expl 'installed gems' compadd -a installed_gems
+      fi ;;
+  uninstall|update)
+    _gem_installed
+    _wanted installed_gems expl 'installed gems' compadd -a installed_gems ;;
+esac

File oh-my-zsh/plugins/gem/gem.plugin.zsh

+# add gem completion function to path
+fpath=($ZSH/plugins/gem $fpath)
+autoload -U compinit
+compinit -i

File oh-my-zsh/plugins/git/git.plugin.zsh

+# Aliases
+alias g='git'
+compdef g=git
+alias gst='git status'
+compdef _git gst=git-status
+alias gl='git pull'
+compdef _git gl=git-pull
+alias gup='git fetch && git rebase'
+compdef gup=git
+alias gp='git push'
+compdef _git gp=git-push
+alias gd='git diff | mate'
+# WTF is mate??
+compdef _git gd=git-diff
+alias gdv='git diff -w "$@" | vim -R -'
+compdef gdv=git
+alias gc='git commit -v'
+compdef gc=git
+alias gca='git commit -v -a'
+compdef gca=git
+alias gco='git checkout'
+compdef _git gco=git-checkout
+alias gb='git branch'
+compdef _git gb=git-branch
+alias gba='git branch -a'
+compdef gba=git
+alias gcount='git shortlog -sn'
+compdef gcount=git
+alias gcp='git cherry-pick'
+compdef _git gcp=git-cherry-pick
+alias glg='git log --stat --max-count=5'
+compdef _git glg=git-log
+
+# Git and svn mix
+alias git-svn-dcommit-push='git svn dcommit && git push github master:svntrunk'
+compdef git-svn-dcommit-push=git
+
+#
+# Will return the current branch name
+# Usage example: git pull origin $(current_branch)
+#
+function current_branch() {
+  ref=$(git symbolic-ref HEAD 2> /dev/null) || return
+  echo ${ref#refs/heads/}
+}
+
+# these aliases take advantage of the previous function
+alias ggpull='git pull origin $(current_branch)'
+compdef ggpull=git
+alias ggpush='git push origin $(current_branch)'
+compdef ggpush=git
+alias ggpnp='git pull origin $(current_branch) && git push origin $(current_branch)'
+compdef ggpnp=git

File oh-my-zsh/plugins/github/_github

+#compdef github
+#autoload
+
+# in order to make this work, you will need to have the github gem installed
+# http://github.com/defunkt/github-gem
+
+# github zsh completion, based on homebrew completion
+
+local -a _1st_arguments
+_1st_arguments=(
+  'browse:Open this repo in a web browser'
+  'clone:Clone a repo'
+  'config:Automatically set configuration info, or pass args to specify'
+  'create-from-local:Create a new GitHub repository from the current local repository'
+  'create:Create a new empty GitHub repository'
+  'fetch:Fetch from a remote to a local branch'
+  'fetch_all:Fetch all refs from a user'
+  'fork:Forks a GitHub repository'
+  'home:Open this repos master branch in a web browser'
+  'ignore:Ignore a SHA from github network commits'
+  'info:Info about this project'
+  'issues:Project issues tools'
+  'network:Project network tools - sub-commands : web [user], list, fetch, commits'
+  'open:Open the given user/project in a web browser'
+  'pull-request:Generate the text for a pull request'
+  'pull:Pull from a remote'
+  'search:Search GitHub for the given repository name'
+  'track:Track another users repository'
+)
+
+local expl
+local -a pkgs installed_pkgs
+
+_arguments \
+  '*:: :->subcmds' && return 0
+
+if (( CURRENT == 1 )); then
+  _describe -t commands "github subcommand" _1st_arguments
+  return
+fi

File oh-my-zsh/plugins/github/github.plugin.zsh

+# add github completion function to path
+fpath=($ZSH/plugins/github $fpath)
+autoload -U compinit
+compinit -i

File oh-my-zsh/plugins/lighthouse/lighthouse.plugin.zsh

+# To use: add a .lighthouse file into your directory with the URL to the
+# individual project. For example:
+# https://rails.lighthouseapp.com/projects/8994
+# Example usage: http://screencast.com/t/ZDgwNDUwNT
+open_lighthouse_ticket () {
+  if [ ! -f .lighthouse-url ]; then
+    echo "There is no .lighthouse-url file in the current directory..."
+    return 0;
+  else
+    lighthouse_url=$(cat .lighthouse-url);
+    echo "Opening ticket #$1";
+    `open $lighthouse_url/tickets/$1`;
+  fi
+}
+
+alias lho='open_lighthouse_ticket'

File oh-my-zsh/plugins/lol/lol.plugin.zsh

+# LOL!!1
+# Source: http://aur.archlinux.org/packages/lolbash/lolbash/lolbash.sh
+
+alias wtf='dmesg'
+alias onoz='cat /var/log/errors.log'
+alias rtfm='man'
+
+alias visible='echo'
+alias invisible='cat'
+alias moar='more'
+
+alias icanhas='mkdir'
+alias donotwant='rm'
+alias dowant='cp'
+alias gtfo='mv'
+
+alias hai='cd'
+alias plz='pwd'
+
+alias inur='locate'
+
+alias nomz='ps -aux'
+alias nomnom='killall'
+
+alias cya='reboot'
+alias kthxbai='halt'

File oh-my-zsh/plugins/macports/_port

+#compdef port
+
+local subcmds 
+
+# we cache the list of ports
+# we shall use some cache policy to avoid problems with new ports
+if (( ! $+portlist )); then
+	portlist=($(port echo all; echo "all current active inactive installed uninstalled outdated"))
+fi